------------------------------------------------------------------------
r5347 | borkra | 2007-04-29 16:14:49 +0400 (Вс, 29 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_chat.cpp
   M /trunk/miranda/protocols/MSN/msn_contact.cpp
   M /trunk/miranda/protocols/MSN/msn_http.cpp
   M /trunk/miranda/protocols/MSN/msn_mime.cpp
   M /trunk/miranda/protocols/MSN/msn_msgqueue.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_p2ps.cpp
   M /trunk/miranda/protocols/MSN/msn_std.cpp
   M /trunk/miranda/protocols/MSN/msn_switchboard.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

Fixed compiler warning
------------------------------------------------------------------------
r5346 | borkra | 2007-04-29 16:01:11 +0400 (Вс, 29 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp

Removed user joined chatroom notification Bug #2828
------------------------------------------------------------------------
r5345 | borkra | 2007-04-29 15:46:49 +0400 (Вс, 29 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.rc
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp

Dropped MSN 6 protocol support 
------------------------------------------------------------------------
r5344 | jokusoftware | 2007-04-29 15:28:31 +0400 (Вс, 29 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

some updates to client detection
------------------------------------------------------------------------
r5343 | borkra | 2007-04-29 09:39:49 +0400 (Вс, 29 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.rc
   M /trunk/miranda/protocols/MSN/resource.h

Removed Enable Avatars checkbox
------------------------------------------------------------------------
r5342 | borkra | 2007-04-29 09:33:54 +0400 (Вс, 29 апр 2007) | 1 line
Changed paths:
   A /trunk/miranda/protocols/MSN/SDK/m_acc.h

Avatar GUI support
------------------------------------------------------------------------
r5341 | borkra | 2007-04-29 09:28:21 +0400 (Вс, 29 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/ezxml.c

Fixed warning
------------------------------------------------------------------------
r5340 | borkra | 2007-04-29 09:27:51 +0400 (Вс, 29 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn.rc
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_ftold.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_lists.cpp
   M /trunk/miranda/protocols/MSN/msn_menu.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_srv.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_useropts.cpp
   M /trunk/miranda/protocols/MSN/resource.h

Fixes for avatar handling, GUIs
Added handling of JPEG avatars
------------------------------------------------------------------------
r5339 | rainwater | 2007-04-28 19:05:05 +0400 (Сб, 28 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/Makefile.dep

dbrw: Update dependency file
------------------------------------------------------------------------
r5338 | rainwater | 2007-04-28 18:59:05 +0400 (Сб, 28 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/Makefile
   M /trunk/miranda/plugins/dbrw/Makefile.dep
   M /trunk/miranda/plugins/dbrw/dbrw.c
   M /trunk/miranda/plugins/dbrw/dbrw.dsp
   M /trunk/miranda/plugins/dbrw/events.c
   M /trunk/miranda/plugins/dbrw/sqlite3/sqlite3.c

dbrw: Minor change to table structure types.  More efficient sqlite amalgamation.
------------------------------------------------------------------------
r5337 | ghazan | 2007-04-28 14:26:31 +0400 (Сб, 28 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_byte.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

minor code cleaning & formatting
------------------------------------------------------------------------
r5336 | ghazan | 2007-04-28 14:14:46 +0400 (Сб, 28 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_byte.cpp
   M /trunk/miranda/protocols/JabberG/jabber_byte.h
   M /trunk/miranda/protocols/JabberG/jabber_iqid_muc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.h
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_userinfo.cpp

fix for XEP-0065 support in Jabber (SOCKS5 Bytestreams) by mlu
------------------------------------------------------------------------
r5335 | rainwater | 2007-04-28 01:40:10 +0400 (Сб, 28 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/Makefile
   M /trunk/miranda/plugins/dbrw/dbrw.c
   M /trunk/miranda/plugins/dbrw/dbrw.dsp
   M /trunk/miranda/plugins/dbrw/dbrw.h
   M /trunk/miranda/plugins/dbrw/events.c
   M /trunk/miranda/plugins/dbrw/sqlite3/sqlite3.c

dbrw: More optimizations
------------------------------------------------------------------------
r5334 | ghazan | 2007-04-28 00:59:46 +0400 (Сб, 28 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/msgdialog.c

fix for bug #0003173: bugged typing notify icon
------------------------------------------------------------------------
r5333 | rainwater | 2007-04-27 20:07:44 +0400 (Пт, 27 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/sql.c
   M /trunk/miranda/plugins/dbrw/utils.c

dbrw: Thread cleanup
------------------------------------------------------------------------
r5331 | rainwater | 2007-04-27 18:08:23 +0400 (Пт, 27 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/import/main.c

Fix crash in import.dll using unsafe free()
------------------------------------------------------------------------
r5330 | rainwater | 2007-04-27 17:42:14 +0400 (Пт, 27 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/dbrw.dsp

dbrw: Update vc6 project file
------------------------------------------------------------------------
r5329 | rainwater | 2007-04-27 17:39:54 +0400 (Пт, 27 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/Makefile.dep
   M /trunk/miranda/plugins/dbrw/dbrw.c
   M /trunk/miranda/plugins/dbrw/dbrw.h
   A /trunk/miranda/plugins/dbrw/resource.h
   M /trunk/miranda/plugins/dbrw/resource.rc
   M /trunk/miranda/plugins/dbrw/utils.c
   M /trunk/miranda/plugins/dbrw/utils.h

dbrw: Added auto db compaction
------------------------------------------------------------------------
r5328 | rainwater | 2007-04-27 08:09:14 +0400 (Пт, 27 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/settings.c

dbrw: Fix AV reading setting blobs
------------------------------------------------------------------------
r5327 | rainwater | 2007-04-27 06:38:36 +0400 (Пт, 27 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/Makefile
   M /trunk/miranda/plugins/dbrw/dbrw.c
   M /trunk/miranda/plugins/dbrw/dbrw.dsp
   M /trunk/miranda/plugins/dbrw/settings.c
   M /trunk/miranda/plugins/dbrw/sqlite3/sqlite3.c

dbrw: MS_DB_CONTACT_ENUMSETTINGS doesn't enum resident settings (consistent with db3x).  Also, turn on 0.6.x support in the plugin api and some minor compile options changes to reduce dll size.
------------------------------------------------------------------------
r5326 | rainwater | 2007-04-26 20:41:06 +0400 (Чт, 26 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/dbrw.h
   M /trunk/miranda/plugins/dbrw/events.c

dbrw: MS_DB_EVENT_GETCONTACT and MS_DB_EVENT_GETBLOBSIZE now fetch from events cache first before querying table from disk
------------------------------------------------------------------------
r5325 | borkra | 2007-04-26 12:50:10 +0400 (Чт, 26 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp

Correct resident settings cleanup
------------------------------------------------------------------------
r5324 | borkra | 2007-04-26 12:48:35 +0400 (Чт, 26 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_threads.cpp

Fix for disconnects
------------------------------------------------------------------------
r5323 | ghazan | 2007-04-26 10:33:23 +0400 (Чт, 26 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_zstream.cpp


------------------------------------------------------------------------
r5322 | ghazan | 2007-04-26 10:24:55 +0400 (Чт, 26 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.mak
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ws.cpp
   M /trunk/miranda/protocols/JabberG/jabber_zstream.cpp

minor fix for compressed data logging
------------------------------------------------------------------------
r5321 | rainwater | 2007-04-26 05:15:31 +0400 (Чт, 26 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/events.c
   M /trunk/miranda/plugins/dbrw/utils.c

dbrw: Add trigger to remove event from event cache when deleted from main table
------------------------------------------------------------------------
r5320 | gena01 | 2007-04-25 23:15:21 +0400 (Ср, 25 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/file_transfer.c
   M /trunk/miranda/protocols/Yahoo/yahoo.c

Some small code cleanup and fixes. It should also fail if we can not connect to the Yahoo FT server while we try to send a file.
------------------------------------------------------------------------
r5319 | rainwater | 2007-04-25 18:59:28 +0400 (Ср, 25 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/dbrw.c
   M /trunk/miranda/plugins/dbrw/dbrw.h
   M /trunk/miranda/plugins/dbrw/settings.c
   M /trunk/miranda/plugins/dbrw/sqlite3/sqlite3.c
   M /trunk/miranda/plugins/dbrw/sqlite3/sqlite3.h

Updated dbrw to sqlite 3.3.17; transactions are no longer created when no settings flush is needed; disabled journal files.
------------------------------------------------------------------------
r5318 | rainwater | 2007-04-25 18:12:14 +0400 (Ср, 25 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/events.c

Typo in last commit
------------------------------------------------------------------------
r5317 | rainwater | 2007-04-25 18:09:56 +0400 (Ср, 25 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/events.c

dbrw returned wrong value in MS_DB_EVENT_GETCOUNT for invalid contact
------------------------------------------------------------------------
r5316 | borkra | 2007-04-25 16:25:02 +0400 (Ср, 25 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp

Added database cleanup for resident settings
------------------------------------------------------------------------
r5315 | ashpynov | 2007-04-25 16:02:28 +0400 (Ср, 25 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clui.c

correctly show window on tray click in windowed mode
------------------------------------------------------------------------
r5314 | ghazan | 2007-04-25 13:33:53 +0400 (Ср, 25 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/miranda32.dsw
   M /trunk/miranda/bin7/miranda32.sln
   M /trunk/miranda/bin8/miranda32.sln
   M /trunk/miranda/plugins/zlib/zlib.dsp
   M /trunk/miranda/plugins/zlib/zlib.mak
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.dsp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.mak
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_8.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_file.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ws.cpp
   A /trunk/miranda/protocols/JabberG/jabber_zstream.cpp
   M /trunk/miranda/protocols/JabberG/resource.h
   M /trunk/miranda/protocols/MSN/ezxml.c
   M /trunk/miranda/src/modules/database/dbini.c

XEP-0138 (Traffic Compression) implementation for Jabber (original patch by chuks)
------------------------------------------------------------------------
r5313 | borkra | 2007-04-25 10:10:45 +0400 (Ср, 25 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_p2ps.cpp

Fixes for avatar transfer
------------------------------------------------------------------------
r5312 | ashpynov | 2007-04-25 09:11:01 +0400 (Ср, 25 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.rc

Metacontact disabling inside internal Server-side list CLC.
------------------------------------------------------------------------
r5311 | rainwater | 2007-04-25 04:17:12 +0400 (Ср, 25 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/dbrw.c
   M /trunk/miranda/plugins/dbrw/dbrw.h
   M /trunk/miranda/plugins/dbrw/utils.c

Fix msvc compilation errors in dbrw
------------------------------------------------------------------------
r5310 | rainwater | 2007-04-25 01:06:37 +0400 (Ср, 25 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/dbrw/dbrw.c
   M /trunk/miranda/plugins/dbrw/dbrw.h
   M /trunk/miranda/plugins/dbrw/resource.rc
   M /trunk/miranda/plugins/dbrw/utils.c

dbRW: Utilize MS_DB_SETSAFETYMODE.  Added private setting (in dbrw_core) to disable logging for alpha builds (set DisableLogging to 1 in dbrw_core).
------------------------------------------------------------------------
r5309 | rainwater | 2007-04-24 22:06:53 +0400 (Вт, 24 апр 2007) | 1 line
Changed paths:
   A /trunk/miranda/plugins/dbrw
   A /trunk/miranda/plugins/dbrw/Makefile
   A /trunk/miranda/plugins/dbrw/Makefile.dep
   A /trunk/miranda/plugins/dbrw/contacts.c
   A /trunk/miranda/plugins/dbrw/contacts.h
   A /trunk/miranda/plugins/dbrw/dbrw.c
   A /trunk/miranda/plugins/dbrw/dbrw.dsp
   A /trunk/miranda/plugins/dbrw/dbrw.dsw
   A /trunk/miranda/plugins/dbrw/dbrw.h
   A /trunk/miranda/plugins/dbrw/docs
   A /trunk/miranda/plugins/dbrw/docs/License.txt
   A /trunk/miranda/plugins/dbrw/docs/Readme.txt
   A /trunk/miranda/plugins/dbrw/events.c
   A /trunk/miranda/plugins/dbrw/events.h
   A /trunk/miranda/plugins/dbrw/resource.rc
   A /trunk/miranda/plugins/dbrw/settings.c
   A /trunk/miranda/plugins/dbrw/settings.h
   A /trunk/miranda/plugins/dbrw/sql.c
   A /trunk/miranda/plugins/dbrw/sql.h
   A /trunk/miranda/plugins/dbrw/sqlite3
   A /trunk/miranda/plugins/dbrw/sqlite3/sqlite3.c
   A /trunk/miranda/plugins/dbrw/sqlite3/sqlite3.h
   A /trunk/miranda/plugins/dbrw/utf8.c
   A /trunk/miranda/plugins/dbrw/utf8.h
   A /trunk/miranda/plugins/dbrw/utils.c
   A /trunk/miranda/plugins/dbrw/utils.h

Added dbRW to svn (sqlite db driver)
------------------------------------------------------------------------
r5308 | gena01 | 2007-04-24 19:12:03 +0400 (Вт, 24 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c

Code cleanup. Also fixing an accidental bug I introduced with personal avatars...
------------------------------------------------------------------------
r5307 | ghazan | 2007-04-24 13:26:30 +0400 (Вт, 24 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/movetogroup.c

fix for group names translation in "Move to group" menu item
------------------------------------------------------------------------
r5306 | ashpynov | 2007-04-24 12:50:37 +0400 (Вт, 24 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc

Use windows Colors options for backgrounds
------------------------------------------------------------------------
r5305 | ashpynov | 2007-04-24 10:37:39 +0400 (Вт, 24 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/version.h

version bump
------------------------------------------------------------------------
r5304 | ashpynov | 2007-04-24 10:34:12 +0400 (Вт, 24 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/button.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/viewmodes.c

tune up for non-skinned mode painting
------------------------------------------------------------------------
r5303 | ashpynov | 2007-04-24 09:08:03 +0400 (Вт, 24 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clisttray.c

potential crash on xstatus tray tooltip generation fixed
------------------------------------------------------------------------
r5302 | ashpynov | 2007-04-24 09:07:35 +0400 (Вт, 24 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/button.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcmsgs.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/image_array.c
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/modern_animated_avatars.c
   M /trunk/miranda/plugins/modernb/modern_global_structure.h
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.h
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/viewmodes.c

option to completely disable skinning engine
------------------------------------------------------------------------
r5301 | borkra | 2007-04-24 07:48:27 +0400 (Вт, 24 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_ftold.cpp
   M /trunk/miranda/protocols/MSN/msn_menu.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

Fixed double backslash in avatar file name
Better negotiation for direct connection
------------------------------------------------------------------------
r5300 | gena01 | 2007-04-23 17:04:58 +0400 (Пн, 23 апр 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c

Code cleanup. Adding a flag check to only load avatar if it's forced ala MSN.

Thanks borkra for the info.
------------------------------------------------------------------------
r5299 | ashpynov | 2007-04-23 14:44:17 +0400 (Пн, 23 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp

crash on other agent server typing
------------------------------------------------------------------------
r5298 | ghazan | 2007-04-23 13:20:19 +0400 (Пн, 23 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.vcproj

fix for precompiled headers in MSN VS2003 project

------------------------------------------------------------------------
r5297 | gena01 | 2007-04-23 06:46:10 +0400 (Пн, 23 апр 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c
   M /trunk/miranda/protocols/Yahoo/yahoo.c

Landing my latest attempt at getting avatars working properly. This could break avatars.. this is brand new code. Also storing avatars similar way Official Yahoo Client stores them.

More work ahead...
------------------------------------------------------------------------
r5296 | borkra | 2007-04-23 06:45:30 +0400 (Пн, 23 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_p2ps.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_useropts.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

Fixed file transfer with WLM 8.1
------------------------------------------------------------------------
r5295 | borkra | 2007-04-23 06:39:54 +0400 (Пн, 23 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_misc.cpp

Fixed folders plugin support
------------------------------------------------------------------------
r5294 | jokusoftware | 2007-04-23 01:42:46 +0400 (Пн, 23 апр 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/chan_01login.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_17signon.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_packet.c
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.h

updated client signature to ICQ 6
use new type of status mode message request for ICQ 6 and icq5.1
attempt to support unicode for status mode messages (protocol level)
------------------------------------------------------------------------
r5293 | ghazan | 2007-04-23 00:49:20 +0400 (Пн, 23 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenuopt.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

added the Reset button to Options -> Customize -> Menus
------------------------------------------------------------------------
r5292 | ghazan | 2007-04-23 00:46:46 +0400 (Пн, 23 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.24
------------------------------------------------------------------------
r5291 | ghazan | 2007-04-23 00:38:41 +0400 (Пн, 23 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/srfile/filerecvdlg.c
   M /trunk/miranda/src/modules/srfile/filesenddlg.c
   M /trunk/miranda/src/modules/srfile/filexferdlg.c
   M /trunk/miranda/src/modules/userinfo/stdinfo.c

minor redesign for file transfer dialog (attempt to remove the call of the intermediate dialog). also slightly fixes the f/t dialog focus problem
------------------------------------------------------------------------
r5290 | the_leech | 2007-04-22 23:18:33 +0400 (Вс, 22 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/resource.rc

pressing ESC will close 'send to all' confirmation dialog
------------------------------------------------------------------------
r5289 | ghazan | 2007-04-22 21:22:01 +0400 (Вс, 22 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/db3x/dbsettings.c
   M /trunk/miranda/plugins/db3x_mmap/dbsettings.c

- fix for dbx_mmap & resident settings
- one optimization for db3x
------------------------------------------------------------------------
r5288 | borkra | 2007-04-22 20:14:43 +0400 (Вс, 22 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_ftold.cpp
   M /trunk/miranda/protocols/MSN/msn_menu.cpp

Removed floating point arithmetic
------------------------------------------------------------------------
r5287 | borkra | 2007-04-22 20:12:23 +0400 (Вс, 22 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

Fixed multiple invisible notifications Bug #3137
------------------------------------------------------------------------
r5286 | ghazan | 2007-04-22 18:50:03 +0400 (Вс, 22 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/mwclist/clc.c
   M /trunk/miranda/plugins/mwclist/clc.h
   M /trunk/miranda/plugins/mwclist/clcitems.c
   M /trunk/miranda/plugins/mwclist/clistmod.c
   M /trunk/miranda/plugins/mwclist/commonheaders.h
   M /trunk/miranda/plugins/mwclist/init.c

patch for clist_mw to enable the Jabber transport support (by Mishael)
------------------------------------------------------------------------
r5285 | borkra | 2007-04-22 00:46:07 +0400 (Вс, 22 апр 2007) | 1 line
Changed paths:
   A /trunk/miranda/protocols/MSN/SDK/m_folders.h
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp

Added support for folders plugin (patch by tweety)
------------------------------------------------------------------------
r5284 | borkra | 2007-04-21 10:08:10 +0400 (Сб, 21 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_contact.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_lists.cpp
   M /trunk/miranda/protocols/MSN/msn_menu.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_msgqueue.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_p2ps.cpp
   M /trunk/miranda/protocols/MSN/msn_std.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_switchboard.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_useropts.cpp

Fixed avatar transfer with WLM 8.1
Added WLM 8.1 & WLM 8.0 detection, MSN 8.x id string was removed
------------------------------------------------------------------------
r5283 | gena01 | 2007-04-21 02:25:03 +0400 (Сб, 21 апр 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/im.c
   M /trunk/miranda/protocols/Yahoo/main.c
   M /trunk/miranda/protocols/Yahoo/util.c
   M /trunk/miranda/protocols/Yahoo/yahoo.h

Removing UTF8 encoding/decoding functions. Using miranda services now. Based on MSN code. 

Thanks borkra for pointing out the where I had to look for this. 
------------------------------------------------------------------------
r5282 | ghazan | 2007-04-20 15:18:58 +0400 (Пт, 20 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_iq.h
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.h
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_userinfo.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xmlns.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

entity time (XEP-0202) support for Jabber (by mlu)
------------------------------------------------------------------------
r5281 | ghazan | 2007-04-20 15:14:29 +0400 (Пт, 20 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/bin/makew.bat
   M /trunk/miranda/bin/miranda32.dsw

fix for vc6 batch files
------------------------------------------------------------------------
r5280 | ono | 2007-04-20 14:48:08 +0400 (Пт, 20 апр 2007) | 1 line
Changed paths:
   A /trunk/miranda/protocols/Gadu-Gadu/libgadu/sha1.c

Forgotten SHA1 file.
------------------------------------------------------------------------
r5279 | ashpynov | 2007-04-20 12:45:43 +0400 (Пт, 20 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp

remove trailing and tail spaces on agent browse
------------------------------------------------------------------------
r5278 | ashpynov | 2007-04-20 12:21:24 +0400 (Пт, 20 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/m_cluiframes.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/version.h

minor fix for frame deletion
------------------------------------------------------------------------
r5277 | ashpynov | 2007-04-20 11:51:37 +0400 (Пт, 20 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/version.h


------------------------------------------------------------------------
r5276 | ashpynov | 2007-04-20 11:47:42 +0400 (Пт, 20 апр 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_adhoc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.h

Minor AdHoc code cleanup and some code styling
Some protection added

------------------------------------------------------------------------
r5275 | ghazan | 2007-04-19 22:09:55 +0400 (Чт, 19 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/srauth/authdialogs.c

fix for bug #3071: When i receive auth request, icon tooltips are still swapped
------------------------------------------------------------------------
r5274 | the_leech | 2007-04-19 20:18:02 +0400 (Чт, 19 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c

fix for bug#0003138 (stay minimized & focus stealing)

------------------------------------------------------------------------
r5272 | ghazan | 2007-04-19 18:15:14 +0400 (Чт, 19 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/zlib/zlib.dsp
   M /trunk/miranda/plugins/zlib/zlib.mak
   M /trunk/miranda/plugins/zlib/zlib.vcproj
   M /trunk/miranda/plugins/zlib/zlib_8.vcproj

fix for zlib project files to include GZIP support
------------------------------------------------------------------------
r5271 | rainwater | 2007-04-19 17:20:14 +0400 (Чт, 19 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clist.dep

Really fix project file this time
------------------------------------------------------------------------
r5270 | rainwater | 2007-04-19 17:05:18 +0400 (Чт, 19 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clist.dep
   M /trunk/miranda/plugins/clist_nicer/clist.mak

Project file cleanup
------------------------------------------------------------------------
r5269 | rainwater | 2007-04-19 17:02:28 +0400 (Чт, 19 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clist.dsp

Project file cleanup
------------------------------------------------------------------------
r5268 | rainwater | 2007-04-19 16:56:36 +0400 (Чт, 19 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/resource.rc

Minor text change in update dialog
------------------------------------------------------------------------
r5267 | ghazan | 2007-04-19 14:03:09 +0400 (Чт, 19 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.dsp
   M /trunk/miranda/protocols/JabberG/jabber.mak
   M /trunk/miranda/protocols/JabberG/jabber_8.vcproj

added jabber_adhoc.cpp to VC6 & 2005 projects
------------------------------------------------------------------------
r5266 | ashpynov | 2007-04-19 13:28:19 +0400 (Чт, 19 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_adhoc.cpp

Disable button while form sending
------------------------------------------------------------------------
r5265 | nightwish2004 | 2007-04-19 13:08:21 +0400 (Чт, 19 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/clist_nicer/clcopts.c
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c
   M /trunk/miranda/plugins/clist_nicer/contact.c
   M /trunk/miranda/plugins/clist_nicer/coolsb/coolscroll.c
   M /trunk/miranda/plugins/clist_nicer/resource.rc

+ use unique event name (may solve problems with high cpu load when multiple instances are running)
------------------------------------------------------------------------
r5264 | ashpynov | 2007-04-19 11:56:41 +0400 (Чт, 19 апр 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp

Transport info discovery (do not show commands if not supported by transport)
Minor tune for transport icons handling
added GTalk (gtalk* gateway) and Jabber2Jabber (xmpp* gateway) j2j transports recognizing
------------------------------------------------------------------------
r5263 | the_leech | 2007-04-18 22:33:29 +0400 (Ср, 18 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

reverting the last change (fix for bug #0003138) as the bug reporter closed the issue after testing the changes made in rev 5238

------------------------------------------------------------------------
r5262 | jokusoftware | 2007-04-18 20:24:05 +0400 (Ср, 18 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

fixed mistake in Miranda Mobile detection (thx Angeli-Ka for hint)
------------------------------------------------------------------------
r5261 | ashpynov | 2007-04-18 19:49:44 +0400 (Ср, 18 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_adhoc.cpp

removed debug message
------------------------------------------------------------------------
r5260 | ashpynov | 2007-04-18 19:39:03 +0400 (Ср, 18 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/version.h

version bump
------------------------------------------------------------------------
r5259 | ashpynov | 2007-04-18 19:28:07 +0400 (Ср, 18 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/icos/command.ico

icon from a0x for Commands menu
------------------------------------------------------------------------
r5258 | ashpynov | 2007-04-18 19:23:52 +0400 (Ср, 18 апр 2007) | 1 line
Changed paths:
   A /trunk/miranda/protocols/JabberG/jabber_adhoc.cpp

forgot main file ;)
------------------------------------------------------------------------
r5257 | ashpynov | 2007-04-18 19:17:40 +0400 (Ср, 18 апр 2007) | 3 lines
Changed paths:
   A /trunk/miranda/protocols/JabberG/icos/command.ico
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   M /trunk/miranda/protocols/JabberG/jabber_form.cpp
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iq.h
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.h
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

XEP-0050 Ad-Hoc Commands implementation
minor tuning of x-forms parser 

------------------------------------------------------------------------
r5256 | ghazan | 2007-04-18 14:17:05 +0400 (Ср, 18 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_list.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp

fix for JabberListGetBestResourceNamePtr() to return the resource name always
------------------------------------------------------------------------
r5255 | ono | 2007-04-18 13:34:06 +0400 (Ср, 18 апр 2007) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/Gadu-Gadu/Gadu-Gadu.dsp
   M /trunk/miranda/protocols/Gadu-Gadu/Gadu-Gadu.mak
   M /trunk/miranda/protocols/Gadu-Gadu/Gadu-Gadu_8.vcproj
   M /trunk/miranda/protocols/Gadu-Gadu/core.c
   M /trunk/miranda/protocols/Gadu-Gadu/gg.c
   M /trunk/miranda/protocols/Gadu-Gadu/gg.h
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/common.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/dcc.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/events.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/http.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/libgadu-config.h
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/libgadu.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/libgadu.h
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/pubdir.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/pubdir50.c
   M /trunk/miranda/protocols/Gadu-Gadu/ssl.c

* PLUGININFOEX new plugin interface
* Preliminary GG 7 file transfers support
* Login using SHA1 password encryption (no more clear text passwords)
* Updated libgadu to latest dev build
------------------------------------------------------------------------
r5254 | ashpynov | 2007-04-18 11:17:33 +0400 (Ср, 18 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/version.h

version bump
------------------------------------------------------------------------
r5253 | ashpynov | 2007-04-18 11:16:52 +0400 (Ср, 18 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/res/listening_to.ico

'listening to' icon updated
------------------------------------------------------------------------
r5252 | ashpynov | 2007-04-18 11:00:56 +0400 (Ср, 18 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clistmod.c

minor code cleaning
fix to render centered group name only in free space for text
------------------------------------------------------------------------
r5251 | ashpynov | 2007-04-18 10:35:37 +0400 (Ср, 18 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clc.c

minor code cleanup
------------------------------------------------------------------------
r5250 | ashpynov | 2007-04-18 10:27:16 +0400 (Ср, 18 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/clc.c

status related issueStatus related problems (sorting, hide offline, group counter) issues attempt to fix (10x to Faith, AngeliKa, and others)

------------------------------------------------------------------------
r5249 | rainwater | 2007-04-18 05:16:51 +0400 (Ср, 18 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/updatenotify/updatenotify.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

Added option to check for alpha builds
------------------------------------------------------------------------
r5248 | jokusoftware | 2007-04-18 01:14:48 +0400 (Ср, 18 апр 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/UI/userinfotab.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

fixed compiler warning
fixed status message request handling from ICQ6
slightly better Miranda Mobile detection
------------------------------------------------------------------------
r5247 | rainwater | 2007-04-18 00:18:24 +0400 (Ср, 18 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/main.c

Fix crash in ReactOS due to missing riched20.dll version info resource.
------------------------------------------------------------------------
r5245 | ghazan | 2007-04-17 23:45:01 +0400 (Вт, 17 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_iq.h
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xmlns.cpp

entity time (XEP-0202) support for Jabber (original patch by mlu)
------------------------------------------------------------------------
r5244 | ghazan | 2007-04-17 22:47:42 +0400 (Вт, 17 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

fix for bug #0003138 - Piotr, plz look at this
------------------------------------------------------------------------
r5243 | ghazan | 2007-04-17 15:12:41 +0400 (Вт, 17 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/langpack/langpack.c

fix for translating strings with trailing CRLF combinations. Attention to all langpack creators: now you should write the langpack files using the strict match. For example, [Search] and [Search ] will be different strings since that patch
------------------------------------------------------------------------
r5241 | ghazan | 2007-04-17 01:36:53 +0400 (Вт, 17 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.23
------------------------------------------------------------------------
r5240 | gena01 | 2007-04-17 01:08:14 +0400 (Вт, 17 апр 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/icos/address_book.ico
   M /trunk/miranda/protocols/Yahoo/icos/calendar.ico
   M /trunk/miranda/protocols/Yahoo/icos/inbox.ico
   M /trunk/miranda/protocols/Yahoo/icos/invite.ico
   M /trunk/miranda/protocols/Yahoo/icos/profile.ico
   M /trunk/miranda/protocols/Yahoo/icos/refresh.ico
   M /trunk/miranda/protocols/Yahoo/icos/set_status.ico
   M /trunk/miranda/protocols/Yahoo/icos/yahoo.ico

Adding new icons from Angi.

Thanks Angi.
------------------------------------------------------------------------
r5239 | jokusoftware | 2007-04-17 00:41:13 +0400 (Вт, 17 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/UI/userinfotab.c

fixed badly displayed own Miranda version
------------------------------------------------------------------------
r5238 | the_leech | 2007-04-17 00:40:35 +0400 (Вт, 17 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/resource.rc

bugfix #0003138 (stay minimized & focus stealing)
------------------------------------------------------------------------
r5237 | jokusoftware | 2007-04-17 00:25:56 +0400 (Вт, 17 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

added detection of IMadering client
added preliminary detection of Miranda Mobile
------------------------------------------------------------------------
r5236 | ghazan | 2007-04-16 22:58:58 +0400 (Пн, 16 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_userinfo.cpp

two minor patches for Jabber bookmarks by Mishail
------------------------------------------------------------------------
r5235 | ghazan | 2007-04-16 22:54:19 +0400 (Пн, 16 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_bookmarks.cpp
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp

two minor patches for Jabber bookmarks by Mishail
------------------------------------------------------------------------
r5234 | jokusoftware | 2007-04-16 01:58:48 +0400 (Пн, 16 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

correctly detect icq5.x behind IMsecure
------------------------------------------------------------------------
r5233 | jokusoftware | 2007-04-15 22:18:50 +0400 (Вс, 15 апр 2007) | 5 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/chan_04close.c
   M /trunk/miranda/protocols/IcqOscarJ/chan_05ping.c
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_15icqserver.c
   M /trunk/miranda/protocols/IcqOscarJ/families.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_directmsg.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_servlist.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c

hopefully fixed issue #0003061
some client detection improvements
Folders support now does not translate strings (for Folders v1.3.0)
minor server-list tweaks
message handling & acking is now much more consistent - fixed hole used for invisible detection
------------------------------------------------------------------------
r5232 | ashpynov | 2007-04-13 15:34:16 +0400 (Пт, 13 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/SkinEditor.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/modern_global_structure.h

Reverted direct skin loading
------------------------------------------------------------------------
r5231 | ashpynov | 2007-04-13 12:21:23 +0400 (Пт, 13 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/version.h

version bump

------------------------------------------------------------------------
r5230 | ashpynov | 2007-04-13 12:19:16 +0400 (Пт, 13 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/SkinEditor.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/modern_global_structure.h

First Step to load skin directly from file and do not store it in DB. Currently ignore any db settings (excluding margins of client area and key color) and slow default skin loading (not optimized access to resources).
------------------------------------------------------------------------
r5229 | jokusoftware | 2007-04-13 10:46:34 +0400 (Пт, 13 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/protocolorder.c

fixed issue #0003044 (present since revision 4630)
------------------------------------------------------------------------
r5228 | ghazan | 2007-04-13 01:30:53 +0400 (Пт, 13 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/utils/utf.c

fix for rare crash in Jabber with very large photos
------------------------------------------------------------------------
r5227 | nightwish2004 | 2007-04-12 23:38:23 +0400 (Чт, 12 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/chat/services.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/sendqueue.c
   M /trunk/miranda/plugins/tabsrmm/srmm.c

+ some memory allocation fixes
------------------------------------------------------------------------
r5226 | nightwish2004 | 2007-04-12 23:29:30 +0400 (Чт, 12 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clcmsgs.c
   M /trunk/miranda/plugins/clist_nicer/clcopts.c
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c
   M /trunk/miranda/plugins/clist_nicer/clistmod.c
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/plugins/clist_nicer/resource.h
   M /trunk/miranda/plugins/clist_nicer/resource.rc

+ added manual extra icon sorting (incomplete)
------------------------------------------------------------------------
r5225 | ghazan | 2007-04-12 22:50:28 +0400 (Чт, 12 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

minor code cleaning for loadavatars
------------------------------------------------------------------------
r5224 | ashpynov | 2007-04-12 11:53:53 +0400 (Чт, 12 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/res/1.ico
   M /trunk/miranda/plugins/modernb/res/2.ico
   M /trunk/miranda/plugins/modernb/res/3.ico
   M /trunk/miranda/plugins/modernb/res/4.ico
   M /trunk/miranda/plugins/modernb/res/5.ico
   M /trunk/miranda/plugins/modernb/res/6.ico
   M /trunk/miranda/plugins/modernb/res/7.ico
   M /trunk/miranda/plugins/modernb/res/8.ico
   M /trunk/miranda/plugins/modernb/res/AlwaysVis.ico
   M /trunk/miranda/plugins/modernb/res/Chatchannel.ico
   M /trunk/miranda/plugins/modernb/res/MicroAway.ico
   M /trunk/miranda/plugins/modernb/res/MicroChat.ico
   M /trunk/miranda/plugins/modernb/res/MicroDnd.ico
   M /trunk/miranda/plugins/modernb/res/MicroInvisible.ico
   M /trunk/miranda/plugins/modernb/res/MicroLunch.ico
   M /trunk/miranda/plugins/modernb/res/MicroNa.ico
   M /trunk/miranda/plugins/modernb/res/MicroOccupied.ico
   M /trunk/miranda/plugins/modernb/res/MicroOffline.ico
   M /trunk/miranda/plugins/modernb/res/MicroPhone.ico
   M /trunk/miranda/plugins/modernb/res/NA.ico
   M /trunk/miranda/plugins/modernb/res/NeverVis.ico
   M /trunk/miranda/plugins/modernb/res/addgoupp.ico
   M /trunk/miranda/plugins/modernb/res/away.ico
   M /trunk/miranda/plugins/modernb/res/chat.ico
   M /trunk/miranda/plugins/modernb/res/dnd.ico
   M /trunk/miranda/plugins/modernb/res/hide_avatar.ico
   M /trunk/miranda/plugins/modernb/res/invisible.ico
   M /trunk/miranda/plugins/modernb/res/lunch.ico
   M /trunk/miranda/plugins/modernb/res/occupied.ico
   M /trunk/miranda/plugins/modernb/res/offline.ico
   M /trunk/miranda/plugins/modernb/res/phone.ico
   M /trunk/miranda/plugins/modernb/res/rate_high.ico
   M /trunk/miranda/plugins/modernb/res/rate_low.ico
   M /trunk/miranda/plugins/modernb/res/rate_med.ico
   M /trunk/miranda/plugins/modernb/res/rate_none.ico
   A /trunk/miranda/plugins/modernb/res/reset_view.ico
   A /trunk/miranda/plugins/modernb/res/set_view.ico
   M /trunk/miranda/plugins/modernb/res/show_avatar.ico
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/viewmodes.c

modified icons by Angeli-Ka (this i like more and will not revert to old ones :)
------------------------------------------------------------------------
r5223 | nightwish2004 | 2007-04-12 05:26:11 +0400 (Чт, 12 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c
   M /trunk/miranda/plugins/clist_nicer/extBackg.c
   M /trunk/miranda/plugins/clist_nicer/extBackg.h

+ fixed some issues with xstatus icons replacement
+ added skin item for idle contacts
------------------------------------------------------------------------
r5222 | jokusoftware | 2007-04-11 23:35:09 +0400 (Ср, 11 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_infoupdate.c

trying to fix a strange crash on exit in debug mode (reported by Ghazan)
------------------------------------------------------------------------
r5221 | ghazan | 2007-04-11 23:08:45 +0400 (Ср, 11 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clcitems.c

minor memory leak fix
------------------------------------------------------------------------
r5220 | ashpynov | 2007-04-11 18:35:32 +0400 (Ср, 11 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc

always show vis icon patch from Ka
------------------------------------------------------------------------
r5219 | ghazan | 2007-04-11 14:30:43 +0400 (Ср, 11 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp

minor fix for Jabber contacts validation
------------------------------------------------------------------------
r5218 | ghazan | 2007-04-11 13:53:25 +0400 (Ср, 11 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_bookmarks.cpp

rolled back one erroneous code "optimization"
------------------------------------------------------------------------
r5217 | rainwater | 2007-04-11 06:45:43 +0400 (Ср, 11 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/rowheight_funcs.c
   M /trunk/miranda/plugins/clist_nicer/rowheight_funcs.h

VC 6 < SP6 doesn't support inline functions in the linker (.c) files (Patch by OnO)
------------------------------------------------------------------------
r5216 | ghazan | 2007-04-11 01:55:07 +0400 (Ср, 11 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp

fix for bug #0003130: Bookmarks are not retreived automatically, MUC auto-join doesn't work
------------------------------------------------------------------------
r5215 | ghazan | 2007-04-10 22:19:17 +0400 (Вт, 10 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp

fix for JPEGs autodetection in Jabber
------------------------------------------------------------------------
r5214 | ashpynov | 2007-04-10 15:41:30 +0400 (Вт, 10 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.rc

metacontacts disabling for chat invitation dialog
------------------------------------------------------------------------
r5213 | ghazan | 2007-04-10 15:27:39 +0400 (Вт, 10 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modernb.dep
   M /trunk/miranda/plugins/srmm/srmm.dep
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/MSN/msn.dep

fix for some VC6 dependency files
------------------------------------------------------------------------
r5212 | ashpynov | 2007-04-10 14:58:02 +0400 (Вт, 10 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clcpaint.c

added customization ability for skin rate depended (Rate=None (Low,Medium,High)) in parameters mask 
------------------------------------------------------------------------
r5211 | ghazan | 2007-04-09 18:47:31 +0400 (Пн, 09 апр 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

update for one rare Jabber protocol hangup on non-standard servers
------------------------------------------------------------------------
r5210 | borkra | 2007-04-09 06:47:39 +0400 (Пн, 09 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.dep

Removed nudge icon as it not used
------------------------------------------------------------------------
r5209 | borkra | 2007-04-09 06:45:25 +0400 (Пн, 09 апр 2007) | 1 line
Changed paths:
   D /trunk/miranda/protocols/MSN/Icos/nudge.ico
   M /trunk/miranda/protocols/MSN/msn.rc
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/protocols/MSN/resource.h

Removed nudge icon as it not used
------------------------------------------------------------------------
r5208 | ghazan | 2007-04-09 00:34:35 +0400 (Пн, 09 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/fonts/FontOptions.c

minor code cleaning
------------------------------------------------------------------------
r5207 | ghazan | 2007-04-09 00:33:52 +0400 (Пн, 09 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

minor code cleaning
------------------------------------------------------------------------
r5206 | ghazan | 2007-04-09 00:32:48 +0400 (Пн, 09 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/zlib/zlib.vcproj

SourceSafe info was removed from zlib project
------------------------------------------------------------------------
r5205 | ghazan | 2007-04-09 00:31:17 +0400 (Пн, 09 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/bin/makew.bat
   M /trunk/miranda/src/version.rc

- version bump
- Gadu-Gadu protocol added to batch files 
------------------------------------------------------------------------
r5204 | ghazan | 2007-04-09 00:17:19 +0400 (Пн, 09 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.dsp
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.mak

tabSRMM makefiles were modified to produce a PDB
------------------------------------------------------------------------
r5203 | ghazan | 2007-04-08 23:54:39 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.dsp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.mak
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_8.vcproj
   D /trunk/miranda/protocols/JabberG/jabber_bitmap.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_userinfo.cpp

bitmap processing also removed from Jabber. RIP...
------------------------------------------------------------------------
r5202 | ghazan | 2007-04-08 21:43:54 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_bookmarks.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.cpp

some fixes for memory leaks etc
------------------------------------------------------------------------
r5201 | ghazan | 2007-04-08 17:39:16 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.mak
   M /trunk/miranda/protocols/MSN/msn.vcproj

minor fixes for MSN project files
------------------------------------------------------------------------
r5200 | borkra | 2007-04-08 16:39:44 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/Icos/list_al.ico
   M /trunk/miranda/protocols/MSN/Icos/list_bl.ico
   M /trunk/miranda/protocols/MSN/Icos/list_fl.ico
   M /trunk/miranda/protocols/MSN/Icos/list_rl.ico

Fixed icons by Angeli-Ka
------------------------------------------------------------------------
r5199 | ghazan | 2007-04-08 16:14:59 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   A /trunk/miranda/protocols/MSN/ezxml.c
   A /trunk/miranda/protocols/MSN/ezxml.h
   M /trunk/miranda/protocols/MSN/msn.dep
   M /trunk/miranda/protocols/MSN/msn.dsp
   M /trunk/miranda/protocols/MSN/msn.mak
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/protocols/MSN/msn_8.vcproj

added xml parser to a project
------------------------------------------------------------------------
r5198 | ghazan | 2007-04-08 10:32:18 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/Icos/list_al.ico
   M /trunk/miranda/protocols/MSN/Icos/list_bl.ico
   M /trunk/miranda/protocols/MSN/Icos/list_fl.ico
   M /trunk/miranda/protocols/MSN/Icos/list_rl.ico

32-bit only icons rolled back
------------------------------------------------------------------------
r5197 | borkra | 2007-04-08 08:33:27 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h

Improved MirVer handling
------------------------------------------------------------------------
r5196 | borkra | 2007-04-08 05:53:06 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

Support for displaying number of unread E-mails in clist modern (patch by Matyas Bene)
------------------------------------------------------------------------
r5195 | borkra | 2007-04-08 05:09:13 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn.rc
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_lists.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp

Made Server List legend icons customizable through IconLib
------------------------------------------------------------------------
r5194 | borkra | 2007-04-08 03:59:41 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/Icos/avatar.ico
   M /trunk/miranda/protocols/MSN/Icos/inbox.ico
   M /trunk/miranda/protocols/MSN/Icos/invite.ico
   M /trunk/miranda/protocols/MSN/Icos/list_al.ico
   M /trunk/miranda/protocols/MSN/Icos/list_bl.ico
   M /trunk/miranda/protocols/MSN/Icos/list_fl.ico
   M /trunk/miranda/protocols/MSN/Icos/list_rl.ico
   M /trunk/miranda/protocols/MSN/Icos/msn.ico
   M /trunk/miranda/protocols/MSN/Icos/msnblock.ico
   M /trunk/miranda/protocols/MSN/Icos/netmeeting.ico
   M /trunk/miranda/protocols/MSN/Icos/nudge.ico
   M /trunk/miranda/protocols/MSN/Icos/profile.ico
   M /trunk/miranda/protocols/MSN/Icos/services.ico

New icons by Ageli-Ka
------------------------------------------------------------------------
r5193 | ghazan | 2007-04-08 02:44:29 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   A /trunk/miranda/include/m_avatars.h

added missing file
------------------------------------------------------------------------
r5192 | ghazan | 2007-04-08 02:43:32 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp

removed dependency from the FreeImage plugin
------------------------------------------------------------------------
r5191 | ghazan | 2007-04-08 02:28:24 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   D /trunk/miranda/protocols/MSN/msn_bitmap.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h

m_png.h and msn_bitmap.cpp aren't used anymore
------------------------------------------------------------------------
r5190 | ghazan | 2007-04-08 02:23:24 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/Docs/history-msn.txt
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn.dep
   M /trunk/miranda/protocols/MSN/msn.dsp
   M /trunk/miranda/protocols/MSN/msn.mak
   M /trunk/miranda/protocols/MSN/msn.rc
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/protocols/MSN/msn_8.vcproj
   M /trunk/miranda/protocols/MSN/msn_bitmap.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_menu.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_useropts.cpp
   M /trunk/miranda/protocols/MSN/resource.h
   M /trunk/miranda/protocols/MSN/version.h

all bitmap processing routines were removed. MSN uses loadavatars now
------------------------------------------------------------------------
r5189 | ghazan | 2007-04-08 00:50:42 +0400 (Вс, 08 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/core/modules.c

fix against NULL service names
------------------------------------------------------------------------
r5188 | nightwish2004 | 2007-04-06 19:58:30 +0400 (Пт, 06 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clcopts.c
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c
   M /trunk/miranda/plugins/clist_nicer/resource.h
   M /trunk/miranda/plugins/clist_nicer/resource.rc

added option to replace status icons with xStatus when available
------------------------------------------------------------------------
r5187 | ashpynov | 2007-04-06 15:20:09 +0400 (Пт, 06 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   M /trunk/miranda/protocols/JabberG/jabber_bookmarks.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

Added (backed) possibility to store Bookmark to transport registration (does not conform XEP-0048 so other clients will determine it as not valid chat room)
Fix for enabling Auto Join Check on bookmark edit (it is better to use BM_GETCHECK instead of BM_GETSTATE)
------------------------------------------------------------------------
r5186 | the_leech | 2007-04-06 12:45:08 +0400 (Пт, 06 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/newpluginapi.h

MIID_LOGWINDOW interface id (ieview etc.)
------------------------------------------------------------------------
r5185 | rainwater | 2007-04-06 01:58:32 +0400 (Пт, 06 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/extracticon.c

Fix ASSERT warning on some compilers with extracticon.c.  Also clean up header to use commonheaders.h. (Patch by OnO)
------------------------------------------------------------------------
r5184 | rainwater | 2007-04-05 17:42:48 +0400 (Чт, 05 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist/clist.dsp
   M /trunk/miranda/plugins/clist/resource.h
   M /trunk/miranda/src/resource.h

Project cleanup
------------------------------------------------------------------------
r5183 | rainwater | 2007-04-05 17:17:51 +0400 (Чт, 05 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Yahoo.dep

Remove references to "..\..\..\..\vc\vc98\include\basetsd.h" in Yahoo.dep
------------------------------------------------------------------------
r5182 | rainwater | 2007-04-05 16:53:04 +0400 (Чт, 05 апр 2007) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/mwclist/clc.c
   M /trunk/miranda/src/modules/clist/clc.c

0002315: Contact checkbox state is not saved when moving them from/to groups
0001014: Contact selection moves up 1 when contact comes online in a higher up group
0002880: Contact selection moves down 1 item when selected contact goes offline when hide offline = true (Patch by OnO)
------------------------------------------------------------------------
r5181 | ashpynov | 2007-04-05 11:48:52 +0400 (Чт, 05 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clisttray.c

minor tuning in icon refresh timer
------------------------------------------------------------------------
r5180 | ashpynov | 2007-04-05 10:38:54 +0400 (Чт, 05 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modern_animated_avatars.c

Fixed some animated-avatars issues after resizing of avatars
------------------------------------------------------------------------
r5179 | rainwater | 2007-04-05 01:44:26 +0400 (Чт, 05 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/richutil.c

0001223: If user types whilst history display input box has focus, switch focus (srmm.dll).  Other richutil.c users are welcome to use this :)  Patch by OnO.
------------------------------------------------------------------------
r5178 | rainwater | 2007-04-05 01:34:35 +0400 (Чт, 05 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clcutils.c

0002314: Parent group checkbox state logic is flawed when group only contains child-group items. GSIF_HASMEMBERS was not inherited from child groups for contact free parent group. (Patch by OnO).  
------------------------------------------------------------------------
r5177 | ashpynov | 2007-04-04 16:03:21 +0400 (Ср, 04 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.c

moved show mail option to CLUI section
------------------------------------------------------------------------
r5176 | ashpynov | 2007-04-04 15:55:57 +0400 (Ср, 04 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_opt.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/cluiservices.c
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.h
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/version.h

- attempt to fix wrong sorting by status
- show unread mail in statusbar patch from Rex
------------------------------------------------------------------------
r5175 | ghazan | 2007-04-04 15:32:05 +0400 (Ср, 04 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/include/m_protocols.h

added ACKTYPE_EMAIL broadcast type

------------------------------------------------------------------------
r5174 | ghazan | 2007-04-04 15:24:37 +0400 (Ср, 04 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/fonts/FontOptions.c

minor code cleaning
------------------------------------------------------------------------
r5173 | ashpynov | 2007-04-04 10:08:56 +0400 (Ср, 04 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistevents.c

Extended tray вид click processing in order to correct process hit on events from not visible protocol
------------------------------------------------------------------------
r5172 | ghazan | 2007-04-04 01:05:24 +0400 (Ср, 04 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.h
   M /trunk/miranda/protocols/JabberG/jabber_userinfo.cpp

fix for showing vcards for any room, not only inserted into a roster
------------------------------------------------------------------------
r5171 | ghazan | 2007-04-04 00:31:53 +0400 (Ср, 04 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/fonts/FontOptions.c
   M /trunk/miranda/src/modules/fonts/module_fonts.c

localization fixes for the FontService options (thx nullbie)
------------------------------------------------------------------------
r5170 | ghazan | 2007-04-04 00:27:49 +0400 (Ср, 04 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/skin2icons.c

fix for iconlib options page
------------------------------------------------------------------------
r5169 | ashpynov | 2007-04-03 12:14:33 +0400 (Вт, 03 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clisttray.c

Fixed: Single tray icon mode and Show primary icon and only when statuses differ
------------------------------------------------------------------------
r5168 | the_leech | 2007-04-03 00:40:32 +0400 (Вт, 03 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/resource.h
   M /trunk/miranda/plugins/Scriver/resource.rc

font settings removed
------------------------------------------------------------------------
r5167 | jokusoftware | 2007-04-02 23:55:02 +0400 (Пн, 02 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h

more robust resume API handling
fixed wrong error message on file skipped (thx zodiack for reporting)
------------------------------------------------------------------------
r5166 | the_leech | 2007-04-02 23:32:37 +0400 (Пн, 02 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/fonts/FontOptions.c

FontService options - double click on colour item will open colour chooser
------------------------------------------------------------------------
r5165 | ghazan | 2007-04-02 19:34:13 +0400 (Пн, 02 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp

fix for Jabber groupchat messages for banned users
------------------------------------------------------------------------
r5164 | ghazan | 2007-04-02 02:59:28 +0400 (Пн, 02 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/src/modules/fonts/FontOptions.c
   M /trunk/miranda/src/version.rc

- version bump for build 0.7.0.21
- minor changes needed for compilation
------------------------------------------------------------------------
r5163 | ghazan | 2007-04-02 02:32:38 +0400 (Пн, 02 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_clistint.h

minor change in the internal genmenu structure
------------------------------------------------------------------------
r5162 | ghazan | 2007-04-02 02:25:19 +0400 (Пн, 02 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

- vcards in Jabber chatrooms;
- ability to store more than one URL in bookmarks.
------------------------------------------------------------------------
r5161 | ghazan | 2007-04-02 02:12:16 +0400 (Пн, 02 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/fonts/FontOptions.c
   M /trunk/miranda/src/resource.rc

experimental simplified FontService design (by nullbie)
------------------------------------------------------------------------
r5160 | ghazan | 2007-04-02 02:10:56 +0400 (Пн, 02 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/icolib/IcoLib.h
   M /trunk/miranda/src/modules/icolib/skin2icons.c

fixes for icon lib options dialog 
------------------------------------------------------------------------
r5159 | jokusoftware | 2007-04-02 01:42:07 +0400 (Пн, 02 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/srfile/filexferdlg.c

fixed stupid bug preventing "Resume all" and "Overwrite all" to work properly (since 0.2+)
------------------------------------------------------------------------
r5158 | nightwish2004 | 2007-04-01 18:08:49 +0400 (Вс, 01 апр 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/resource.h
   M /trunk/miranda/plugins/tabsrmm/resource.rc
   M /trunk/miranda/plugins/tabsrmm/userprefs.c

+ added per user option to disable auto-close (user preferences dialog)
------------------------------------------------------------------------
r5157 | jokusoftware | 2007-04-01 13:43:10 +0400 (Вс, 01 апр 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/changeinfo/dlgproc.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c

fixed calcMD5hash for big files (patch by nullbie)
make F2 react correctly in ICQ Details (start editing)
more consistent handling of Unicode messages
------------------------------------------------------------------------
r5156 | nightwish2004 | 2007-04-01 00:44:58 +0400 (Вс, 01 апр 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c

+ version bump
+ minor bugfixes
------------------------------------------------------------------------
r5155 | gena01 | 2007-03-30 00:59:49 +0400 (Пт, 30 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/yahoo.c

Adding : between protocol name and New Mail message.
------------------------------------------------------------------------
r5154 | gena01 | 2007-03-30 00:07:34 +0400 (Пт, 30 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/away.cpp

Shutting down this stupid message that's pollutting my network logs.
------------------------------------------------------------------------
r5153 | gena01 | 2007-03-30 00:02:20 +0400 (Пт, 30 мар 2007) | 5 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c
   M /trunk/miranda/protocols/Yahoo/yahoo.c

Experimental Avatar fixes: Kopete claims that the expiration value is correct so putting this back. Also noticed that I am doing way too many avatar uploads? So fixing this and adding expiration check and also making sure we don't re-upload just cause we just uploaded something. Trying to lower this banging on Yahoo FT..  Once this checks out I'll do a merge back to stable and ask people to upgrade. This might be important and should resolve in better Avatar and File Send success rate.

P.S. It seems that Yahoo FT tend to ban us if we bang them too much. So keep that in mind. 

Also adding protocol name when showing new mails to know it's us,
------------------------------------------------------------------------
r5152 | ashpynov | 2007-03-29 12:57:47 +0400 (Чт, 29 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/version.h

added dbkey to customise skins folder. ("ModernData/SkinsFolder", ANSI string) 
------------------------------------------------------------------------
r5151 | ashpynov | 2007-03-29 12:03:46 +0400 (Чт, 29 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp

- Added transport gateway domain recognition: 'gg*' as GaduGadu, 'sms*' as SMS, 'smtp*' as SMTP according to issue #3094
- Setting for transport icon is moved under 'Status icons/Jabber/PROTOCOL transport'
------------------------------------------------------------------------
r5150 | ashpynov | 2007-03-29 11:43:13 +0400 (Чт, 29 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_clistint.h
   M /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_opt.c
   M /trunk/miranda/plugins/modernb/keyboard.c
   M /trunk/miranda/plugins/mwclist/keyboard.c
   M /trunk/miranda/src/modules/clist/clc.h
   M /trunk/miranda/src/modules/clist/clistevents.c
   M /trunk/miranda/src/modules/clist/clisttray.c
   M /trunk/miranda/src/modules/clist/keyboard.c

issue #3091 fix
------------------------------------------------------------------------
r5148 | ashpynov | 2007-03-28 17:58:50 +0400 (Ср, 28 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/m_cluiframes.h
   M /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_extern.c
   M /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_intern.c
   M /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_opt.c
   M /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_private.h
   M /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_services.c
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/viewmodes.c

continue reworking frames engine (options page - frame order, preview)
------------------------------------------------------------------------
r5147 | ghazan | 2007-03-28 16:25:27 +0400 (Ср, 28 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/testplugin/testplug.c

minor code cleaning for the test plugin
------------------------------------------------------------------------
r5146 | ashpynov | 2007-03-28 13:58:42 +0400 (Ср, 28 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clc.c

minor fix for status icon
------------------------------------------------------------------------
r5145 | ashpynov | 2007-03-28 13:37:31 +0400 (Ср, 28 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clc.c

minor fix for status icon
------------------------------------------------------------------------
r5144 | ashpynov | 2007-03-28 09:23:16 +0400 (Ср, 28 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/include/m_icq.h
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/protocols/IcqOscarJ/globals.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_xstatus.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_xtraz.h
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/src/modules/protocols/protocols.c

- able to show ICQ xStatus icon instead of normal status in clist_modern

------------------------------------------------------------------------
r5143 | rainwater | 2007-03-28 00:07:17 +0400 (Ср, 28 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/conv.cpp

Use same case for [color] bbcode in AIM
------------------------------------------------------------------------
r5142 | ghazan | 2007-03-27 22:16:12 +0400 (Вт, 27 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp

fix for encoded Jabber messages
------------------------------------------------------------------------
r5141 | ashpynov | 2007-03-27 10:00:00 +0400 (Вт, 27 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/version.h

code cleanup 
------------------------------------------------------------------------
r5140 | ghazan | 2007-03-26 13:46:28 +0400 (Пн, 26 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clist_modern_8.vcproj
   M /trunk/miranda/plugins/modernb/modernb.dep
   M /trunk/miranda/plugins/modernb/modernb.dsp
   M /trunk/miranda/plugins/modernb/modernb.mak

fix for clist_modern project files
------------------------------------------------------------------------
r5139 | ghazan | 2007-03-26 13:04:16 +0400 (Пн, 26 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/db3x_mmap/dbcontacts.c
   M /trunk/miranda/plugins/db3x_mmap/dbsettings.c
   M /trunk/miranda/plugins/db3x_mmap/version.h

bugfix for possible memory corruption
------------------------------------------------------------------------
r5138 | ashpynov | 2007-03-26 11:44:46 +0400 (Пн, 26 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/res/skin.msf

issue 0002907: Clist_modern overwrites indent settings
------------------------------------------------------------------------
r5137 | ashpynov | 2007-03-26 11:22:59 +0400 (Пн, 26 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clistmenus.c

issue 0003066: Contact rate and menu order
------------------------------------------------------------------------
r5136 | ashpynov | 2007-03-26 10:20:11 +0400 (Пн, 26 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_opt.c
   M /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_private.h
   M /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_services.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc

continue reworking frames engine 
minor group lime drawing fix
------------------------------------------------------------------------
r5135 | ghazan | 2007-03-25 22:33:48 +0400 (Вс, 25 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/db3x_mmap/dbcontacts.c
   M /trunk/miranda/plugins/db3x_mmap/dbsettings.c

some optimizations for db3x_mmap (thx bio)
------------------------------------------------------------------------
r5134 | ghazan | 2007-03-25 22:32:51 +0400 (Вс, 25 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.20
------------------------------------------------------------------------
r5133 | jokusoftware | 2007-03-24 16:51:11 +0300 (Сб, 24 мар 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/chan_04close.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/utilities.c

OFT: added timeout for connection attempt (should connect faster)
OFT: added extra try for internal IP (for some special networks, VPNs, etc.)
back-ported the changes from OFT to normal DC
------------------------------------------------------------------------
r5132 | the_leech | 2007-03-24 15:25:49 +0300 (Сб, 24 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/window.c

fixed hidden container showing 
minimize group chat windows on double click
------------------------------------------------------------------------
r5131 | ghazan | 2007-03-24 01:12:38 +0300 (Сб, 24 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/database/database.c
   M /trunk/miranda/src/modules/database/dbini.c

fix for embedded profile directory creation
------------------------------------------------------------------------
r5130 | ghazan | 2007-03-22 20:27:43 +0300 (Чт, 22 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/res/icon_ansi.ico
   M /trunk/miranda/src/res/icon_unicode.ico

new default icons for plugins options page
------------------------------------------------------------------------
r5129 | ghazan | 2007-03-22 20:21:15 +0300 (Чт, 22 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modernb.mak

another minor update for clist_modern makefile
------------------------------------------------------------------------
r5128 | ghazan | 2007-03-22 19:48:45 +0300 (Чт, 22 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/gdiplus.cpp
   M /trunk/miranda/plugins/modernb/modernb.dep
   M /trunk/miranda/plugins/modernb/modernb.dsp
   M /trunk/miranda/plugins/modernb/modernb.mak

fixes to compile new modernb under VC6
------------------------------------------------------------------------
r5127 | ashpynov | 2007-03-22 13:17:56 +0300 (Чт, 22 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/m_cluiframes.h
   M /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_extern.c
   M /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_private.h
   M /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_services.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc

continue reworking frames engine 
------------------------------------------------------------------------
r5126 | ghazan | 2007-03-21 16:33:22 +0300 (Ср, 21 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

patch to add a Jabber chatroom to bookmarks from chat window
------------------------------------------------------------------------
r5125 | jokusoftware | 2007-03-20 22:58:28 +0300 (Вт, 20 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_db.c

fixed &RQ, ICQ 2000 clients detection (thx Thief for reporting)
improvement, take use of the new faster DB find contact methods
------------------------------------------------------------------------
r5124 | nightwish2004 | 2007-03-20 15:51:27 +0300 (Вт, 20 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.rc
   M /trunk/miranda/plugins/tabsrmm/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c

+ fixed bug with groupchats (links, nicknames etc.)
+ don't skip \emdash and \endash rtf characters any longer
------------------------------------------------------------------------
r5123 | ashpynov | 2007-03-20 14:22:26 +0300 (Вт, 20 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

Return real core product name in self client version instead of hard coded MirandaIM.
------------------------------------------------------------------------
r5122 | ono | 2007-03-20 12:44:54 +0300 (Вт, 20 мар 2007) | 2 lines
Changed paths:
   A /trunk/miranda/protocols/Gadu-Gadu/Gadu-Gadu.dep
   A /trunk/miranda/protocols/Gadu-Gadu/Gadu-Gadu.mak
   A /trunk/miranda/protocols/Gadu-Gadu/Gadu-Gadu_8.vcproj

* Added makefile and dependencies for batch builds.
* Added VS2005 project file.
------------------------------------------------------------------------
r5121 | ghazan | 2007-03-20 02:41:37 +0300 (Вт, 20 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   M /trunk/miranda/protocols/JabberG/jabber_bookmarks.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

rolled back the hack for transports cause it breaks everything
------------------------------------------------------------------------
r5120 | ghazan | 2007-03-20 01:13:39 +0300 (Вт, 20 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.19
------------------------------------------------------------------------
r5119 | ashpynov | 2007-03-19 16:14:59 +0300 (Пн, 19 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_services.c


------------------------------------------------------------------------
r5118 | ashpynov | 2007-03-19 16:07:15 +0300 (Пн, 19 мар 2007) | 1 line
Changed paths:
   A /trunk/miranda/plugins/modernb/ExtFrames
   A /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames.c
   A /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_extern.c
   A /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_intern.c
   A /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_opt.c
   A /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_private.h
   A /trunk/miranda/plugins/modernb/ExtFrames/modern_ext_frames_services.c
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h

started reworking of CLUIFrames engine
------------------------------------------------------------------------
r5117 | ghazan | 2007-03-19 15:23:42 +0300 (Пн, 19 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_bookmarks.cpp

minor bugfix in bookmarks
------------------------------------------------------------------------
r5116 | ashpynov | 2007-03-19 10:37:42 +0300 (Пн, 19 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   M /trunk/miranda/protocols/JabberG/jabber_bookmarks.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

Added possibility to store Bookmark to transport registration (does not conform XEP-0048 so other clients will determine it as not valid chat room)
------------------------------------------------------------------------
r5115 | ashpynov | 2007-03-19 09:21:02 +0300 (Пн, 19 мар 2007) | 4 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/modern_animated_avatars.c
   M /trunk/miranda/plugins/modernb/version.h
   M /trunk/miranda/plugins/modernb/viewmodes.c

Animated avatars issue fix stage complete
Icon and translation in view frames menu patch by BillyBons
Version bump
Code cleanup
------------------------------------------------------------------------
r5114 | ghazan | 2007-03-19 00:46:55 +0300 (Пн, 19 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/contacts/contacts.c

patch for supporting CNF_COCOUNTRY in contact into (thx Peter)
------------------------------------------------------------------------
r5113 | ghazan | 2007-03-19 00:45:45 +0300 (Пн, 19 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_bookmarks.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

bookmarks patch III by Michael:
- autojoining from bookmarks.
------------------------------------------------------------------------
r5112 | nightwish2004 | 2007-03-18 22:35:52 +0300 (Вс, 18 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.rc
   M /trunk/miranda/plugins/tabsrmm/chat/chat_resource.h
   M /trunk/miranda/plugins/tabsrmm/chat/options.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msgoptions.c

+ fixed bug with wrong titlebar after typing notify in mixed containers (group chats + normal sessions)
+ moved some options. channel logging is now on the group chat option page and no longer with the fonts
------------------------------------------------------------------------
r5111 | nightwish2004 | 2007-03-16 17:18:38 +0300 (Пт, 16 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clistmod.c

+ improved "bring window to front when covered" somewhat.should now work with partially transparent borders
------------------------------------------------------------------------
r5110 | ghazan | 2007-03-16 13:51:09 +0300 (Пт, 16 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clist_modern_8.vcproj

fix for modern's VS2005 project
------------------------------------------------------------------------
r5109 | ghazan | 2007-03-15 19:49:33 +0300 (Чт, 15 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c

patch by OnO for async contact deletion (deleted contact reappears again as temporary one)
------------------------------------------------------------------------
r5108 | ghazan | 2007-03-15 19:46:57 +0300 (Чт, 15 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/db3x/dbsettings.c
   M /trunk/miranda/plugins/db3x_mmap/dbsettings.c

minor code cleaning
------------------------------------------------------------------------
r5107 | ghazan | 2007-03-15 19:20:19 +0300 (Чт, 15 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/manager.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/mwclist/clc.c
   M /trunk/miranda/src/modules/clist/clc.c

patch by OnO for async contact deletion (deleted contact reappears again as temporary one)
------------------------------------------------------------------------
r5105 | ghazan | 2007-03-15 19:09:12 +0300 (Чт, 15 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/db3x/dbcontacts.c


------------------------------------------------------------------------
r5104 | ghazan | 2007-03-15 19:08:08 +0300 (Чт, 15 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/db3x/dbcontacts.c
   M /trunk/miranda/plugins/db3x/dbsettings.c

applied patch for FindNextContact to db3x
------------------------------------------------------------------------
r5103 | ghazan | 2007-03-15 17:51:15 +0300 (Чт, 15 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/groupmenu.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/groupmenu.c

fix for clist_modern & clist_nicer+ to use LoadSkinnedIconHandle instead of loading icons from the core directly (by nullbie)
------------------------------------------------------------------------
r5102 | ghazan | 2007-03-15 17:01:04 +0300 (Чт, 15 мар 2007) | 7 lines
Changed paths:
   M /trunk/miranda/plugins/db3x_mmap/commonheaders.h
   M /trunk/miranda/plugins/db3x_mmap/database.c
   M /trunk/miranda/plugins/db3x_mmap/database.h
   M /trunk/miranda/plugins/db3x_mmap/dbcache.c
   M /trunk/miranda/plugins/db3x_mmap/dbcontacts.c
   M /trunk/miranda/plugins/db3x_mmap/dbevents.c
   M /trunk/miranda/plugins/db3x_mmap/dbmodulechain.c
   M /trunk/miranda/plugins/db3x_mmap/dbsettings.c
   D /trunk/miranda/plugins/db3x_mmap/dbtool
   M /trunk/miranda/plugins/db3x_mmap/init.c
   M /trunk/miranda/plugins/db3x_mmap/version.h
   M /trunk/miranda/plugins/db3x_mmap/version.rc

patch for db3x_mmap by bio:
- support for walking through the specified contacts only in FindNextContact;
- some minor improvements & fixes.

also:
- fix for the major crash when using mmap with the OpenSSL libraries (yes, they have some magic relation);
- version bump
------------------------------------------------------------------------
r5101 | ashpynov | 2007-03-15 12:40:50 +0300 (Чт, 15 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/gdiplus.cpp
   M /trunk/miranda/plugins/modernb/modern_animated_avatars.c

Further animated avatars implementation (now in separate low-priority thread)
Contact list vs smiley in nicks fix
------------------------------------------------------------------------
r5100 | nightwish2004 | 2007-03-14 19:25:30 +0300 (Ср, 14 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clistmenus.c

+ allow "Contact list settings" to be invoked for contacts not visible on the list
------------------------------------------------------------------------
r5099 | borkra | 2007-03-14 06:43:12 +0300 (Ср, 14 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp

patch for listening info by pescuma
------------------------------------------------------------------------
r5098 | jokusoftware | 2007-03-13 23:40:52 +0300 (Вт, 13 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.c


------------------------------------------------------------------------
r5097 | jokusoftware | 2007-03-13 23:38:41 +0300 (Вт, 13 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/icos/auth_ask.ico
   M /trunk/miranda/protocols/IcqOscarJ/icos/auth_grant.ico
   M /trunk/miranda/protocols/IcqOscarJ/icos/auth_revoke.ico
   A /trunk/miranda/protocols/IcqOscarJ/icos/srvlist_add.ico
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.h
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/IcqOscarJ/resource.h
   M /trunk/miranda/protocols/IcqOscarJ/resources.rc

new nice menu icons from Angeli-Ka
fixed possible lags caused by typing notifications (esp. with HTTP proxy)
------------------------------------------------------------------------
r5092 | ashpynov | 2007-03-13 12:40:16 +0300 (Вт, 13 мар 2007) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/Docking.c
   M /trunk/miranda/plugins/modernb/SkinEditor.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/cache_funcs.h
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clcidents.c
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clcmsgs.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clist.h
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/cluiservices.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/contact.c
   M /trunk/miranda/plugins/modernb/gdiplus.cpp
   M /trunk/miranda/plugins/modernb/groupmenu.c
   M /trunk/miranda/plugins/modernb/image_array.c
   M /trunk/miranda/plugins/modernb/image_array.h
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/keyboard.c
   M /trunk/miranda/plugins/modernb/m_clui.h
   M /trunk/miranda/plugins/modernb/m_skin_eng.h
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c
   M /trunk/miranda/plugins/modernb/mod_skin_selector.h
   A /trunk/miranda/plugins/modernb/modern_animated_avatars.c
   M /trunk/miranda/plugins/modernb/modern_button.c
   M /trunk/miranda/plugins/modernb/modern_row.cpp
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/rowheight_funcs.c
   M /trunk/miranda/plugins/modernb/rowheight_funcs.h
   M /trunk/miranda/plugins/modernb/rowtemplateopt.c
   M /trunk/miranda/plugins/modernb/statusmodes.h
   M /trunk/miranda/plugins/modernb/utf.c
   M /trunk/miranda/plugins/modernb/version.h

Added animate of gif avatars in contact list
Removed crash during metacontacts collapse
Updated copyrights years
------------------------------------------------------------------------
r5086 | jokusoftware | 2007-03-11 23:58:01 +0300 (Вс, 11 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: fixed, directory name was not transferred correctly ("Miranda IM" substitute was used most of the time)
------------------------------------------------------------------------
r5085 | nightwish2004 | 2007-03-11 19:45:55 +0300 (Вс, 11 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c

+ fix: send typing off when disabling typing notifications via status bar icon
------------------------------------------------------------------------
r5084 | ghazan | 2007-03-10 22:39:46 +0300 (Сб, 10 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp

small patch for the bookmarks UI
------------------------------------------------------------------------
r5083 | ghazan | 2007-03-10 19:14:35 +0300 (Сб, 10 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/plugins/newplugins.c

fix for occasional crash in Options -> Plugins
------------------------------------------------------------------------
r5082 | ghazan | 2007-03-09 22:38:04 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Yahoo.dep
   M /trunk/miranda/protocols/Yahoo/Yahoo.dsp
   M /trunk/miranda/protocols/Yahoo/Yahoo.mak
   M /trunk/miranda/protocols/Yahoo/Yahoo.vcproj
   M /trunk/miranda/protocols/Yahoo/Yahoo_8.vcproj

fix for YAHOO project files
------------------------------------------------------------------------
r5081 | ghazan | 2007-03-09 19:41:23 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   A /trunk/miranda/src/res/icon_ansi.ico
   A /trunk/miranda/src/res/icon_loaded.ico
   A /trunk/miranda/src/res/icon_notloaded.ico
   A /trunk/miranda/src/res/icon_unicode.ico

added new icons for protocol list
------------------------------------------------------------------------
r5080 | ghazan | 2007-03-09 17:26:30 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_skin.h
   M /trunk/miranda/src/modules/plugins/newplugins.c
   M /trunk/miranda/src/modules/skin/skinicons.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

small redesign of protocols option page to avoid visual glitches
------------------------------------------------------------------------
r5079 | ashpynov | 2007-03-09 13:11:41 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/version.h

fix keep empty space on avatar paining 
------------------------------------------------------------------------
r5078 | ashpynov | 2007-03-09 12:38:14 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clcpaint.c

Extended row layout implementation milestone 1a (Separation of row item painting and positions calculation) reached
------------------------------------------------------------------------
r5077 | ashpynov | 2007-03-09 10:49:13 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clcpaint.c


------------------------------------------------------------------------
r5076 | ashpynov | 2007-03-09 10:47:54 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/version.h

> weird avatar behaviour in #17 - no clipping fixed
------------------------------------------------------------------------
r5075 | gena01 | 2007-03-09 07:46:38 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/im.c
   M /trunk/miranda/protocols/Yahoo/server.c
   M /trunk/miranda/protocols/Yahoo/services.c
   M /trunk/miranda/protocols/Yahoo/yahoo.c

Changing log-out code path and handling. This should be much much cleaner and safer now. Also removed some code that was useless. This should also reduce a number of crashes. 
------------------------------------------------------------------------
r5074 | gena01 | 2007-03-09 07:29:53 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c

Don't be so verbose. This should be a bit cleaner and nicer.
------------------------------------------------------------------------
r5073 | gena01 | 2007-03-09 07:14:52 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Makefile.win

Adding ignore.c to the Makefile. George still needs to update the VC project files.
------------------------------------------------------------------------
r5072 | gena01 | 2007-03-09 07:13:57 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Yahoo.rc
   M /trunk/miranda/protocols/Yahoo/options.c
   M /trunk/miranda/protocols/Yahoo/resource.h

Taking out "Disable main menu" option.
------------------------------------------------------------------------
r5071 | gena01 | 2007-03-09 07:05:40 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/services.c

Use a different mail server for users who are in Japan and have the "Yahoo Japan" checkbox set.
------------------------------------------------------------------------
r5070 | gena01 | 2007-03-09 07:01:43 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   A /trunk/miranda/protocols/Yahoo/ignore.c
   A /trunk/miranda/protocols/Yahoo/ignore.h
   M /trunk/miranda/protocols/Yahoo/im.c
   M /trunk/miranda/protocols/Yahoo/options.c
   M /trunk/miranda/protocols/Yahoo/yahoo.c
   M /trunk/miranda/protocols/Yahoo/yahoo.h
   M /trunk/miranda/protocols/Yahoo/yahoo.msp

Code Cleanup: Moving ignore stuff into it's own set of files. Adding Ignore support checking for Authorization requests. This should resolve the long standing issue when somebody who is on your server ignore list added you and you don't want to give them an answer, and you keep getting the Authorization request every time you logon. Also changed IM stuff to use the same function(s).
------------------------------------------------------------------------
r5069 | gena01 | 2007-03-09 06:55:28 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo2_types.h

Taking out some debug statements, cleaning up some code.
------------------------------------------------------------------------
r5068 | jokusoftware | 2007-03-09 01:16:55 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: fixed stage 2 proxy when sending (thx Erlandis for testing)
------------------------------------------------------------------------
r5067 | jokusoftware | 2007-03-09 00:39:05 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/log.c

fixed, system part of the error message was not translated
------------------------------------------------------------------------
r5066 | ghazan | 2007-03-09 00:01:07 +0300 (Пт, 09 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp

fix for incorrect names in WLM file transfers
------------------------------------------------------------------------
r5065 | nightwish2004 | 2007-03-08 20:56:29 +0300 (Чт, 08 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/srmm.c

+ fixed typo in plugininfoEX
------------------------------------------------------------------------
r5064 | ghazan | 2007-03-08 20:40:15 +0300 (Чт, 08 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.18
------------------------------------------------------------------------
r5063 | ghazan | 2007-03-08 20:38:12 +0300 (Чт, 08 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.rc
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/resource.h

patch by tweety for MSN custom smiley popups.
------------------------------------------------------------------------
r5062 | ghazan | 2007-03-08 16:48:49 +0300 (Чт, 08 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_bookmarks.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

patch for error 501 in Jabber, also included some bookmarks fixes by Michael Stepura
------------------------------------------------------------------------
r5061 | the_leech | 2007-03-08 14:40:53 +0300 (Чт, 08 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/srmm.c

project URL changed
------------------------------------------------------------------------
r5060 | ghazan | 2007-03-08 14:16:17 +0300 (Чт, 08 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clisttray.c

fix for modern bug with processing messages
------------------------------------------------------------------------
r5059 | nightwish2004 | 2007-03-08 09:15:36 +0300 (Чт, 08 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/plugins/clist_nicer/resource.rc

+ removed old plugininfo (clist won't load in older miranda anyway)
------------------------------------------------------------------------
r5058 | rainwater | 2007-03-08 04:15:50 +0300 (Чт, 08 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/srmm.c
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/clist/init.c
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/plugins/srmm/srmm.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp

Remove "(Unicode)" from plugin names.  This info is denoted by the Unicode column in the plugin options.
------------------------------------------------------------------------
r5057 | ghazan | 2007-03-07 23:49:52 +0300 (Ср, 07 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/srmm.dep

minor fix for a project file
------------------------------------------------------------------------
r5056 | rainwater | 2007-03-07 23:48:37 +0300 (Ср, 07 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/m_updater.h

Fix PLUGININFOEX warning with m_updater wrapper
------------------------------------------------------------------------
r5055 | rainwater | 2007-03-07 23:11:13 +0300 (Ср, 07 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/newpluginapi.h
   M /trunk/miranda/src/modules/plugins/newplugins.c

Some interface changes/improvements
------------------------------------------------------------------------
r5054 | the_leech | 2007-03-07 22:28:20 +0300 (Ср, 07 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c

fix for focus stealing
------------------------------------------------------------------------
r5053 | rainwater | 2007-03-07 22:14:39 +0300 (Ср, 07 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/newpluginapi.h

More interface ids
------------------------------------------------------------------------
r5052 | ghazan | 2007-03-07 19:09:29 +0300 (Ср, 07 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/newpluginapi.h

new standard interface IDs were added
------------------------------------------------------------------------
r5051 | ono | 2007-03-07 17:36:22 +0300 (Ср, 07 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Gadu-Gadu/gg.c

We move to PLUGININFOEX later, but let us have GG proto at least running.
------------------------------------------------------------------------
r5050 | ashpynov | 2007-03-07 10:52:29 +0300 (Ср, 07 мар 2007) | 5 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_form.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_search.cpp
   M /trunk/miranda/protocols/JabberG/jabber_search.h
   M /trunk/miranda/protocols/JabberG/version.h

XEP-0055: full support of x-forms
Adding contact dialog caption is like 'Nick (jid)' instead of squares
Fixed - adding contact brings Add bookmark dialog
Jabber version bump

------------------------------------------------------------------------
r5049 | ashpynov | 2007-03-07 10:48:04 +0300 (Ср, 07 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.c

- middle click on icq in status bar or left click on extra icon or left click with cntrl brings xStatus submenu directly
- continue to rework row items painting (under DEBUG key)
------------------------------------------------------------------------
r5048 | nightwish2004 | 2007-03-07 07:18:17 +0300 (Ср, 07 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   D /trunk/miranda/plugins/tabsrmm/res/dragcopy.cur
   D /trunk/miranda/plugins/tabsrmm/res/dropuser.cur
   D /trunk/miranda/plugins/tabsrmm/res/hyperlin.cur
   M /trunk/miranda/plugins/tabsrmm/res/proxal/nomtn.ico
   M /trunk/miranda/plugins/tabsrmm/srmm.c
   M /trunk/miranda/plugins/tabsrmm/tabsrmm_8.vcproj

+ cleanup duplicate cursor resources
+ use typing notify icon from the core
------------------------------------------------------------------------
r5047 | rainwater | 2007-03-07 06:58:49 +0300 (Ср, 07 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/useronline/useronline.c

Useronline clist events are removed from the queue when the user goes offline.
------------------------------------------------------------------------
r5046 | rainwater | 2007-03-07 06:12:25 +0300 (Ср, 07 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/resource.rc

0003007: Auth requests and online notifications columns are out of order in Events => Ignore
------------------------------------------------------------------------
r5045 | rainwater | 2007-03-07 05:48:34 +0300 (Ср, 07 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c

Multi-line messages got corrupted in the log in scriver
------------------------------------------------------------------------
r5044 | ghazan | 2007-03-07 01:09:13 +0300 (Ср, 07 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/plugins/newplugins.c

fix for new GUIDs module
------------------------------------------------------------------------
r5043 | jokusoftware | 2007-03-07 00:44:07 +0300 (Ср, 07 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/icq_popups.c
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar.h

fixed "use windows colors" option
------------------------------------------------------------------------
r5042 | rainwater | 2007-03-07 00:30:23 +0300 (Ср, 07 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/srmm.c

Plugin id generated incorrectly.
------------------------------------------------------------------------
r5041 | rainwater | 2007-03-07 00:13:28 +0300 (Ср, 07 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/newpluginapi.h
   M /trunk/miranda/plugins/Scriver/srmm.c
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/clist/init.c
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/plugins/db3x/init.c
   M /trunk/miranda/plugins/db3x_mmap/init.c
   M /trunk/miranda/plugins/import/main.c
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/mwclist/init.c
   M /trunk/miranda/plugins/png2dib/png2dib.c
   M /trunk/miranda/plugins/srmm/srmm.c
   M /trunk/miranda/plugins/tabsrmm/srmm.c
   M /trunk/miranda/plugins/testplugin/testplug.c
   M /trunk/miranda/protocols/AimOscar/aim.cpp
   M /trunk/miranda/protocols/IRC/main.cpp
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/Yahoo/main.c
   M /trunk/miranda/src/modules/plugins/newplugins.c

Added MirandaPluginInterfaces exported function to all core plugins.  This function is not used by 0.7 but is required if using the new plugin api.  In 0.8 this function will replace the outdated defmod system.
------------------------------------------------------------------------
r5040 | ghazan | 2007-03-06 20:24:45 +0300 (Вт, 06 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.vcproj

m_icq.h is not anymore in IcqOscarJ directory
------------------------------------------------------------------------
r5039 | ghazan | 2007-03-06 20:23:27 +0300 (Вт, 06 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_bookmarks.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

Jabber bookmarks interface - patch 2
------------------------------------------------------------------------
r5038 | ghazan | 2007-03-06 20:22:31 +0300 (Вт, 06 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/newpluginapi.h
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/src/modules/plugins/newplugins.c

PLUGININFO's isTransient field was renamed to flags
------------------------------------------------------------------------
r5037 | rainwater | 2007-03-06 18:20:17 +0300 (Вт, 06 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/plugins/newplugins.c

Better plugin info detection
------------------------------------------------------------------------
r5036 | rainwater | 2007-03-06 17:48:08 +0300 (Вт, 06 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp

Fix MSN export
------------------------------------------------------------------------
r5035 | ghazan | 2007-03-06 17:42:27 +0300 (Вт, 06 мар 2007) | 1 line
Changed paths:
   D /trunk/miranda/protocols/MSN/msn.def
   M /trunk/miranda/protocols/MSN/msn.dsp
   M /trunk/miranda/protocols/MSN/msn.mak
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/protocols/MSN/msn_8.vcproj

useless .def file removed from project
------------------------------------------------------------------------
r5034 | rainwater | 2007-03-06 17:17:19 +0300 (Вт, 06 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/aim.cpp
   M /trunk/miranda/protocols/IRC/main.cpp
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp

Plugins should use MirandaPluginInfoEx not MirandaPluginInfo
------------------------------------------------------------------------
r5033 | ghazan | 2007-03-06 11:10:26 +0300 (Вт, 06 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.dep
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.mak
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.17

------------------------------------------------------------------------
r5032 | ghazan | 2007-03-06 11:08:53 +0300 (Вт, 06 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/commonheaders.h
   M /trunk/miranda/plugins/srmm/globals.c
   M /trunk/miranda/plugins/srmm/globals.h
   M /trunk/miranda/plugins/srmm/msgdialog.c
   M /trunk/miranda/plugins/srmm/msgs.c
   D /trunk/miranda/plugins/srmm/res/add.ico
   D /trunk/miranda/plugins/srmm/res/details.ico
   D /trunk/miranda/plugins/srmm/res/downarrow.ico
   D /trunk/miranda/plugins/srmm/res/history.ico
   D /trunk/miranda/plugins/srmm/res/typing.ico
   M /trunk/miranda/plugins/srmm/resource.h
   M /trunk/miranda/plugins/srmm/resource.rc
   M /trunk/miranda/plugins/srmm/srmm.dep
   M /trunk/miranda/plugins/srmm/srmm.dsp
   M /trunk/miranda/plugins/srmm/srmm.mak

forgotten to move SRMM bar icons to icolib...
------------------------------------------------------------------------
r5031 | rainwater | 2007-03-06 06:56:20 +0300 (Вт, 06 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/srauth/authdialogs.c

Tooltips in auth dialog was switched
------------------------------------------------------------------------
r5030 | rainwater | 2007-03-06 06:54:41 +0300 (Вт, 06 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/aim.cpp
   M /trunk/miranda/protocols/IRC/main.cpp
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp

Set correct plugin info size
------------------------------------------------------------------------
r5029 | rainwater | 2007-03-06 06:36:11 +0300 (Вт, 06 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/plugins/newplugins.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

Add plugin id to the options pane.
------------------------------------------------------------------------
r5028 | ghazan | 2007-03-05 23:01:17 +0300 (Пн, 05 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clist.dep
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/tabsrmm/m_updater.h
   M /trunk/miranda/plugins/tabsrmm/resource.rc
   M /trunk/miranda/plugins/zlib/zlib.vcproj
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.vcproj

minor fixes for project files
some PLUGININFOEX fixes
------------------------------------------------------------------------
r5027 | ghazan | 2007-03-05 22:45:39 +0300 (Пн, 05 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/srmm.c

fix for a typo
------------------------------------------------------------------------
r5026 | rainwater | 2007-03-05 21:33:39 +0300 (Пн, 05 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/newpluginapi.h
   M /trunk/miranda/plugins/Scriver/srmm.c
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/clist/init.c
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/statusbar.c
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/cluiservices.c
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/plugins/clist_nicer/statusbar.c
   M /trunk/miranda/plugins/clist_nicer/viewmodes.c
   M /trunk/miranda/plugins/db3x/init.c
   M /trunk/miranda/plugins/db3x_mmap/init.c
   M /trunk/miranda/plugins/import/main.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/viewmodes.c
   M /trunk/miranda/plugins/mwclist/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/mwclist/init.c
   M /trunk/miranda/plugins/png2dib/png2dib.c
   M /trunk/miranda/plugins/png2dib/png2dib.def
   M /trunk/miranda/plugins/srmm/srmm.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/srmm.c
   M /trunk/miranda/plugins/testplugin/testplug.c
   M /trunk/miranda/protocols/AimOscar/aim.cpp
   M /trunk/miranda/protocols/Gadu-Gadu/gg.c
   M /trunk/miranda/protocols/IRC/input.cpp
   M /trunk/miranda/protocols/IRC/main.cpp
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/Yahoo/main.c
   M /trunk/miranda/protocols/Yahoo/util.c
   M /trunk/miranda/src/modules/plugins/newplugins.c

Implement UUID plugin info.  PluginInfoEx should now be used instead of PluginInfo and it should be returned in the MirandaPluginInfoEx export.  To generate a uuid you can use uuidgen.exe provided by windows.  This is only the initial landing of uuid changes.  In 0.7, the uuid is not being used by the core and it isn't being exposed.  Interface support is still to be completed to deprecate defmod.  
------------------------------------------------------------------------
r5025 | ashpynov | 2007-03-05 17:37:55 +0300 (Пн, 05 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/version.h

Hide to tray vs hide behind edge fix (tnx 2 SAOPP for hardly debugging)
------------------------------------------------------------------------
r5024 | ghazan | 2007-03-05 13:37:22 +0300 (Пн, 05 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IRC/IRC.dep

fix for the dependency file
------------------------------------------------------------------------
r5023 | ghazan | 2007-03-05 13:33:26 +0300 (Пн, 05 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

fix for VC6 compatibility
------------------------------------------------------------------------
r5022 | ashpynov | 2007-03-05 10:10:29 +0300 (Пн, 05 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/version.h

version bump
------------------------------------------------------------------------
r5021 | ashpynov | 2007-03-05 10:08:25 +0300 (Пн, 05 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/src/modules/clist/clcitems.c
   M /trunk/miranda/src/modules/clist/clcutils.c

- hide offline in root vs disable groups fix for core clist
- do not scroll list up on group collapsing
------------------------------------------------------------------------
r5020 | ashpynov | 2007-03-05 10:05:34 +0300 (Пн, 05 мар 2007) | 4 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/contact.c

Langpack locale depending sorting of contacts added
Borders disabling
Hide offline in root vs disabled groups
Started rework of row item drawing
------------------------------------------------------------------------
r5019 | nightwish2004 | 2007-03-05 01:57:26 +0300 (Пн, 05 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/resource.rc

+ slightly changed colors for error popups
+ fix for missing cursor files which were renamed in the core
------------------------------------------------------------------------
r5018 | nightwish2004 | 2007-03-05 01:56:26 +0300 (Пн, 05 мар 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/sendqueue.c

+ slightly changed colors for error popups
+ fix for missing cursor files which were renamed in the core
------------------------------------------------------------------------
r5017 | jokusoftware | 2007-03-03 18:06:08 +0300 (Сб, 03 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/docs/IcqOscarJ-translation.txt
   M /trunk/miranda/protocols/IcqOscarJ/icq_servlist.c
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.h
   M /trunk/miranda/protocols/IcqOscarJ/init.c

added menu item "Add to server list" - only for non-server list contacts
------------------------------------------------------------------------
r5016 | jokusoftware | 2007-03-03 18:04:13 +0300 (Сб, 03 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_icq.h

added one small service
------------------------------------------------------------------------
r5015 | ghazan | 2007-03-02 23:53:09 +0300 (Пт, 02 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenu.c

useless code removed
------------------------------------------------------------------------
r5014 | ghazan | 2007-03-02 20:01:28 +0300 (Пт, 02 мар 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

fix for OS version detection under Windows Vista
------------------------------------------------------------------------
r5012 | ashpynov | 2007-03-02 09:15:30 +0300 (Пт, 02 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistevents.c

reverted remove duplicate events fix
------------------------------------------------------------------------
r5011 | jokusoftware | 2007-03-01 22:15:17 +0300 (Чт, 01 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_rates.c


------------------------------------------------------------------------
r5010 | jokusoftware | 2007-03-01 22:13:54 +0300 (Чт, 01 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_rates.c

minor timing tweak for rates level 2 limiting queue
------------------------------------------------------------------------
r5009 | ashpynov | 2007-03-01 15:20:18 +0300 (Чт, 01 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_clistint.h
   M /trunk/miranda/plugins/modernb/button.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcmsgs.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/modern_button.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/version.h
   M /trunk/miranda/plugins/modernb/viewmodes.c
   M /trunk/miranda/src/modules/clist/clc.h
   M /trunk/miranda/src/modules/clist/clistcore.c
   M /trunk/miranda/src/modules/clist/clistevents.c
   M /trunk/miranda/src/modules/clist/clisttray.c
   M /trunk/miranda/src/version.rc

Tray icon and events system related changes. Tray was protected by critical sections, short events are now does not collect if urgent event is set for contact. 
------------------------------------------------------------------------
r5008 | borkra | 2007-03-01 01:39:28 +0300 (Чт, 01 мар 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_opts.cpp

Fixed bug 1510
------------------------------------------------------------------------
r5007 | the_leech | 2007-02-28 21:52:02 +0300 (Ср, 28 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/resource.rc

pop up window on all incoming messages
------------------------------------------------------------------------
r5006 | borkra | 2007-02-28 18:23:57 +0300 (Ср, 28 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.rc
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/resource.h

Removed keep-alive option as it not used any more
------------------------------------------------------------------------
r5005 | borkra | 2007-02-28 17:49:49 +0300 (Ср, 28 фев 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

1. Fixed truncated offline messages.
2. Fixed bug #2858
3. Added ability to add phone numbers into contact list (no sending receiving SMS messages yet)
------------------------------------------------------------------------
r5004 | ashpynov | 2007-02-28 14:33:17 +0300 (Ср, 28 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clisttray.c

cycle icon mode wrong time delay
------------------------------------------------------------------------
r5003 | ashpynov | 2007-02-28 09:51:14 +0300 (Ср, 28 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_clist.h
   M /trunk/miranda/src/modules/clist/clistevents.c

added flag to be able protocol to set event as system (contact is NULL) but specify its name (e.g. MRA for new mail arrive event) in order to use correct protocol icon in tray to notify
------------------------------------------------------------------------
r5002 | ashpynov | 2007-02-28 09:48:42 +0300 (Ср, 28 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/src/modules/clist/clisttray.c

Typing notify balloon popup not working fixed and clist_classic - last connected protocol show wrong icon fixed (tnx to RANGER)

------------------------------------------------------------------------
r5001 | ashpynov | 2007-02-28 09:45:40 +0300 (Ср, 28 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clisttray.c

minor fix for connection animation
------------------------------------------------------------------------
r5000 | ghazan | 2007-02-27 18:48:14 +0300 (Вт, 27 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/include/statusmodes.h
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/clist/clc.h
   M /trunk/miranda/src/modules/clist/clistcore.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clisttray.c
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/protocolorder.c

- fix for the bug when Miranda looses a protocol visibility flag after new protocol addition
- code cleaning
------------------------------------------------------------------------
r4999 | ashpynov | 2007-02-27 12:22:47 +0300 (Вт, 27 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

fix not customizable contact menus item if it has not service (popup submenus).
------------------------------------------------------------------------
r4998 | ashpynov | 2007-02-27 11:43:58 +0300 (Вт, 27 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clisttray.c

workaround to show events in tray for not visible contacts (use only last item in tray). 
------------------------------------------------------------------------
r4997 | ghazan | 2007-02-27 11:38:24 +0300 (Вт, 27 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgs.c

fix for adding icons
------------------------------------------------------------------------
r4996 | ashpynov | 2007-02-27 10:18:44 +0300 (Вт, 27 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistevents.c

Added workaround for chat icon don't blink - this functionality was build on timer error and kills other blinking events in tray. TO DO: if required made not blink flag for events.
------------------------------------------------------------------------
r4995 | ashpynov | 2007-02-27 10:15:57 +0300 (Вт, 27 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clisttray.c

fixed tray icon wrong behavior
------------------------------------------------------------------------
r4994 | ashpynov | 2007-02-27 08:55:34 +0300 (Вт, 27 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c

GDI leak fixed
Duplicate of core icons removed from icolib settings
------------------------------------------------------------------------
r4993 | ghazan | 2007-02-27 02:26:00 +0300 (Вт, 27 фев 2007) | 1 line
Changed paths:
   D /trunk/miranda/protocols/IRC/IcoLib.h
   M /trunk/miranda/protocols/IRC/clist.cpp
   M /trunk/miranda/protocols/IRC/commandmonitor.cpp
   M /trunk/miranda/protocols/IRC/irc.h
   M /trunk/miranda/protocols/IRC/options.cpp
   M /trunk/miranda/protocols/IRC/services.cpp
   M /trunk/miranda/protocols/IRC/windows.cpp

IRC menu icons were rewritten using handles
------------------------------------------------------------------------
r4992 | ghazan | 2007-02-27 02:25:01 +0300 (Вт, 27 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/icolib/skin2icons.c

- fix for updating menu flags;
- minor fix for IcoLib_IsManaged: it returns now the handle of managed item on success
------------------------------------------------------------------------
r4991 | ghazan | 2007-02-27 00:20:37 +0300 (Вт, 27 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_skin.h
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/srmm/msgs.c
   D /trunk/miranda/plugins/tabsrmm/IcoLib.h
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/options.c
   M /trunk/miranda/plugins/tabsrmm/commonheaders.h
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/src/modules/skin/skinicons.c

removed repeated Message icon from Customize->Icons->Contact Menu
------------------------------------------------------------------------
r4990 | the_leech | 2007-02-27 00:04:42 +0300 (Вт, 27 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/msgwindow.h

CM_POPUPWINDOW message added
------------------------------------------------------------------------
r4989 | ghazan | 2007-02-27 00:00:05 +0300 (Вт, 27 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c

patch to avoid info mixing in the Scriver's statusbar
------------------------------------------------------------------------
r4988 | jokusoftware | 2007-02-26 21:45:41 +0300 (Пн, 26 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

added MIP client detection (thx D@rkNeo for info)
------------------------------------------------------------------------
r4987 | nightwish2004 | 2007-02-26 20:48:45 +0300 (Пн, 26 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c

+ fix (auto-adapt status bar size when number of icons changes)
------------------------------------------------------------------------
r4986 | ashpynov | 2007-02-26 16:18:46 +0300 (Пн, 26 фев 2007) | 5 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/image_array.c
   M /trunk/miranda/plugins/modernb/image_array.h
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/version.h

! Blinking icon drawing tuning - should be 10 times (or more) faster during blinking
! AVS Avatars are store internally so take some more memory but rendered 2-3 times faster especially if there are many small avatars
! some other minor perfomance tune
! fixed crash on extra menu opening by left click in statusbar
! changed version stamp.. now 2nd digit is minimal supported core major version, next core minor*100+build, next modern build
------------------------------------------------------------------------
r4985 | the_leech | 2007-02-26 14:27:17 +0300 (Пн, 26 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/globals.h
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/resource.h
   M /trunk/miranda/plugins/Scriver/resource.rc

option to hide containers on close
------------------------------------------------------------------------
r4984 | ghazan | 2007-02-26 00:56:49 +0300 (Пн, 26 фев 2007) | 1 line
Changed paths:
   A /trunk/miranda/plugins/tabsrmm/res/dragcopy.cur
   A /trunk/miranda/plugins/tabsrmm/res/dropuser.cur
   A /trunk/miranda/plugins/tabsrmm/res/hyperlin.cur
   M /trunk/miranda/plugins/tabsrmm/resource.rc

fix for tabSRMM, for renamed cursors
------------------------------------------------------------------------
r4983 | ghazan | 2007-02-26 00:54:25 +0300 (Пн, 26 фев 2007) | 1 line
Changed paths:
   A /trunk/miranda/plugins/srmm/res/dragcopy.cur
   A /trunk/miranda/plugins/srmm/res/dropuser.cur
   A /trunk/miranda/plugins/srmm/res/hyperlin.cur
   M /trunk/miranda/plugins/srmm/resource.rc

fix for SRMM, for renamed cursors
------------------------------------------------------------------------
r4982 | ghazan | 2007-02-26 00:33:37 +0300 (Пн, 26 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/png2dib/png2dib.dep
   M /trunk/miranda/plugins/png2dib/png2dib.mak

fix for VC6 makefiles for png2dib
------------------------------------------------------------------------
r4981 | ghazan | 2007-02-25 22:00:22 +0300 (Вс, 25 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp

- "Disable main menu" option removed;
- menu icons are implemented via icolib
------------------------------------------------------------------------
r4980 | nightwish2004 | 2007-02-25 20:47:44 +0300 (Вс, 25 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clui.c
   D /trunk/miranda/plugins/clist_nicer/res/globus.ico
   D /trunk/miranda/plugins/clist_nicer/res/sendmail.ico
   D /trunk/miranda/plugins/clist_nicer/res/sms.ico
   M /trunk/miranda/plugins/clist_nicer/resource.h
   M /trunk/miranda/plugins/clist_nicer/resource.rc

+ removed duplicate icons
------------------------------------------------------------------------
r4979 | nightwish2004 | 2007-02-25 20:20:32 +0300 (Вс, 25 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

+ changed nickname separator to a colon when using clickable nicknames
------------------------------------------------------------------------
r4978 | ghazan | 2007-02-25 20:16:32 +0300 (Вс, 25 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn.rc
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_menu.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp

- "Disable main menu" option removed;
- menu icons are implemented via icolib
------------------------------------------------------------------------
r4977 | ghazan | 2007-02-25 19:27:25 +0300 (Вс, 25 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/include/m_clist.h
   M /trunk/miranda/include/m_clistint.h
   M /trunk/miranda/include/m_genmenu.h
   M /trunk/miranda/include/m_icolib.h
   M /trunk/miranda/include/m_skin.h
   M /trunk/miranda/src/core/commonheaders.h
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/button/button.c
   M /trunk/miranda/src/modules/clist/clcutils.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/help/help.c
   M /trunk/miranda/src/modules/history/history.c
   M /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/modules/options/options.c
   M /trunk/miranda/src/modules/skin/skinicons.c
   M /trunk/miranda/src/modules/srauth/auth.c
   M /trunk/miranda/src/modules/srawaymsg/awaymsg.c
   M /trunk/miranda/src/modules/sremail/email.c
   M /trunk/miranda/src/modules/srfile/file.c
   M /trunk/miranda/src/modules/srurl/url.c
   M /trunk/miranda/src/modules/userinfo/contactinfo.c
   M /trunk/miranda/src/modules/userinfo/userinfo.c
   M /trunk/miranda/src/modules/useronline/useronline.c

- added CMIF_ICONFROMICOLIB flag to get menu icons directly from icolib
- numerous icon leak fixes
------------------------------------------------------------------------
r4976 | ghazan | 2007-02-25 14:49:46 +0300 (Вс, 25 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp

fix for not displaying resource chooser for non-roster contacts
------------------------------------------------------------------------
r4975 | the_leech | 2007-02-25 11:48:55 +0300 (Вс, 25 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/resource.rc

small options layout change
------------------------------------------------------------------------
r4974 | ghazan | 2007-02-25 00:13:38 +0300 (Вс, 25 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/png2dib/libpng/png.h
   M /trunk/miranda/plugins/zlib/zlib.vcproj


------------------------------------------------------------------------
r4973 | ghazan | 2007-02-24 23:22:55 +0300 (Сб, 24 фев 2007) | 1 line
Changed paths:
   A /trunk/miranda/plugins/zlib/inffixed.h


------------------------------------------------------------------------
r4972 | ghazan | 2007-02-24 23:17:12 +0300 (Сб, 24 фев 2007) | 1 line
Changed paths:
   D /trunk/miranda/plugins/png2dib/zlib

zlib was moved to the separate DLL
------------------------------------------------------------------------
r4971 | ghazan | 2007-02-24 23:16:01 +0300 (Сб, 24 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/bin/makew.bat
   M /trunk/miranda/bin/miranda32.dsw
   M /trunk/miranda/bin7/miranda32.sln
   M /trunk/miranda/bin8/miranda32.sln
   M /trunk/miranda/plugins/Scriver/scriver.dsp
   M /trunk/miranda/plugins/chat/chat.dsp
   M /trunk/miranda/plugins/chat/chat.mak
   M /trunk/miranda/plugins/clist/clist.dsp
   M /trunk/miranda/plugins/clist/clist.mak
   M /trunk/miranda/plugins/modernb/modernb.dsp
   M /trunk/miranda/plugins/modernb/modernb.mak
   M /trunk/miranda/plugins/mwclist/mwclist.dsp
   M /trunk/miranda/plugins/png2dib/png2dib.dep
   M /trunk/miranda/plugins/png2dib/png2dib.dsp
   M /trunk/miranda/plugins/png2dib/png2dib.mak
   M /trunk/miranda/plugins/png2dib/png2dib.vcproj
   M /trunk/miranda/plugins/png2dib/png2dib_8.vcproj
   M /trunk/miranda/plugins/png2dib/version.h
   M /trunk/miranda/plugins/srmm/srmm.dsp
   M /trunk/miranda/plugins/srmm/srmm.mak
   A /trunk/miranda/plugins/zlib/adler32.c
   A /trunk/miranda/plugins/zlib/compress.c
   A /trunk/miranda/plugins/zlib/crc32.c
   A /trunk/miranda/plugins/zlib/crc32.h
   A /trunk/miranda/plugins/zlib/deflate.c
   A /trunk/miranda/plugins/zlib/deflate.h
   A /trunk/miranda/plugins/zlib/gzio.c
   A /trunk/miranda/plugins/zlib/infback.c
   A /trunk/miranda/plugins/zlib/inffast.c
   A /trunk/miranda/plugins/zlib/inffast.h
   A /trunk/miranda/plugins/zlib/inflate.c
   A /trunk/miranda/plugins/zlib/inflate.h
   A /trunk/miranda/plugins/zlib/inftrees.c
   A /trunk/miranda/plugins/zlib/inftrees.h
   A /trunk/miranda/plugins/zlib/trees.c
   A /trunk/miranda/plugins/zlib/trees.h
   A /trunk/miranda/plugins/zlib/uncompr.c
   A /trunk/miranda/plugins/zlib/zconf.h
   A /trunk/miranda/plugins/zlib/zlib.def
   A /trunk/miranda/plugins/zlib/zlib.dep
   A /trunk/miranda/plugins/zlib/zlib.dsp
   A /trunk/miranda/plugins/zlib/zlib.h
   A /trunk/miranda/plugins/zlib/zlib.mak
   A /trunk/miranda/plugins/zlib/zlib.rc
   A /trunk/miranda/plugins/zlib/zlib.vcproj
   A /trunk/miranda/plugins/zlib/zlib_8.vcproj
   A /trunk/miranda/plugins/zlib/zutil.c
   A /trunk/miranda/plugins/zlib/zutil.h
   M /trunk/miranda/protocols/MSN/msn.dsp
   M /trunk/miranda/protocols/MSN/msn.mak
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda-tools/dbtool/dbtool.dsp
   M /trunk/miranda-tools/dbtool/dbtool.mak

zlib was moved to the separate DLL
------------------------------------------------------------------------
r4970 | ghazan | 2007-02-24 22:25:05 +0300 (Сб, 24 фев 2007) | 1 line
Changed paths:
   A /trunk/miranda/plugins/zlib

Created folder remotely
------------------------------------------------------------------------
r4969 | the_leech | 2007-02-24 18:29:00 +0300 (Сб, 24 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/globals.h
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/resource.h
   M /trunk/miranda/plugins/Scriver/resource.rc

text indentation
------------------------------------------------------------------------
r4968 | the_leech | 2007-02-24 17:45:48 +0300 (Сб, 24 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/srmm.c

version bump
------------------------------------------------------------------------
r4967 | ghazan | 2007-02-24 00:57:08 +0300 (Сб, 24 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no

version bump for 0.7.0.16
------------------------------------------------------------------------
r4966 | ghazan | 2007-02-24 00:56:28 +0300 (Сб, 24 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/res/icon_small_dot.ico

old icon looks better
------------------------------------------------------------------------
r4965 | ghazan | 2007-02-24 00:55:21 +0300 (Сб, 24 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.dep
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/miranda32_8.vcproj
   M /trunk/miranda/src/version.rc

fix for Miranda project files
------------------------------------------------------------------------
r4964 | ghazan | 2007-02-24 00:15:51 +0300 (Сб, 24 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/bin/makew.bat

fix for placing loadavatars.pdb into the PDB archive
------------------------------------------------------------------------
r4963 | ghazan | 2007-02-24 00:14:46 +0300 (Сб, 24 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_clistint.h
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clisttray.c
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/mwclist/clisttray.c
   M /trunk/miranda/src/modules/clist/clisttray.c

another merge of tray menu processing code
------------------------------------------------------------------------
r4962 | the_leech | 2007-02-24 00:08:32 +0300 (Сб, 24 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/options.c

typo
------------------------------------------------------------------------
r4961 | nightwish2004 | 2007-02-23 20:03:51 +0300 (Пт, 23 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

message window api: conditionally show/hide icons and adapt status bar size/layout
------------------------------------------------------------------------
r4960 | jokusoftware | 2007-02-23 01:27:38 +0300 (Пт, 23 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/utilities.c
   M /trunk/miranda/protocols/IcqOscarJ/utilities.h

OFT: added ability to send file with unicode filename (with newest SRMMs) - the core is still lacking unicode support for FT UI
------------------------------------------------------------------------
r4959 | the_leech | 2007-02-23 00:36:03 +0300 (Пт, 23 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/resource.h
   M /trunk/miranda/plugins/Scriver/resource.rc

code clean-up
------------------------------------------------------------------------
r4958 | the_leech | 2007-02-23 00:28:12 +0300 (Пт, 23 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgoptions.c

code clean-up
------------------------------------------------------------------------
r4957 | ghazan | 2007-02-22 22:37:06 +0300 (Чт, 22 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/src/modules/clist/clisttray.c

bug in database setting name
------------------------------------------------------------------------
r4956 | ono | 2007-02-22 13:55:48 +0300 (Чт, 22 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/Gadu-Gadu/docs/gg-readme.txt
   M /trunk/miranda/protocols/Gadu-Gadu/gg.c

* binary release for HTTP proxy support fix
* pointer to SVN for source code
------------------------------------------------------------------------
r4955 | ashpynov | 2007-02-22 10:00:38 +0300 (Чт, 22 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/clistsettings.c

broken compilation fixed
------------------------------------------------------------------------
r4954 | jokusoftware | 2007-02-22 02:39:48 +0300 (Чт, 22 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c

fixed rare memory leak
------------------------------------------------------------------------
r4953 | jokusoftware | 2007-02-22 02:36:49 +0300 (Чт, 22 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c

some code cleaning | sorry Ghazan, but your fix, fixed nothing...(there was no leak in this code)
------------------------------------------------------------------------
r4952 | ghazan | 2007-02-22 01:14:15 +0300 (Чт, 22 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/src/modules/clist/clisttray.c

minor code cleaning
------------------------------------------------------------------------
r4951 | ghazan | 2007-02-22 00:29:01 +0300 (Чт, 22 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c


------------------------------------------------------------------------
r4950 | ghazan | 2007-02-22 00:25:23 +0300 (Чт, 22 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c

memory leak fix
------------------------------------------------------------------------
r4949 | jokusoftware | 2007-02-21 23:04:19 +0300 (Ср, 21 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/srmm/msgoptions.c
   M /trunk/miranda/plugins/srmm/statusicon.c

fixed a typo
fixed registering default background color
------------------------------------------------------------------------
r4947 | ghazan | 2007-02-21 20:32:09 +0300 (Ср, 21 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_clist.h
   M /trunk/miranda/include/m_clistint.h
   M /trunk/miranda/plugins/clist_nicer/clistevents.c
   M /trunk/miranda/plugins/clist_nicer/clisttray.c
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/plugins/modernb/clist.h
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/modules/clist/clistcore.c
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clisttray.c

identical tray icon functionality moved to core
------------------------------------------------------------------------
r4946 | ashpynov | 2007-02-21 14:06:26 +0300 (Ср, 21 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/findadd/findadd.c

take care about caption width during auto sizing search result columns
------------------------------------------------------------------------
r4945 | ashpynov | 2007-02-21 13:55:18 +0300 (Ср, 21 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/groupmenu.c

no need to translate menu names _2
probably fixed 'Unknown contact' for self contact name
------------------------------------------------------------------------
r4944 | ghazan | 2007-02-21 13:09:53 +0300 (Ср, 21 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

minor translation issue
------------------------------------------------------------------------
r4943 | ghazan | 2007-02-21 11:59:16 +0300 (Ср, 21 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_bookmarks.cpp

minor fix for bookmarks window
------------------------------------------------------------------------
r4942 | ghazan | 2007-02-21 01:28:22 +0300 (Ср, 21 фев 2007) | 1 line
Changed paths:
   D /trunk/miranda/src/res/miranda.ico
   D /trunk/miranda/src/res/multisend.ico
   D /trunk/miranda/src/res/rename.ico
   D /trunk/miranda/src/res/reply.ico
   D /trunk/miranda/src/res/timestamp.ico

useless files deleted
------------------------------------------------------------------------
r4941 | ghazan | 2007-02-21 01:26:34 +0300 (Ср, 21 фев 2007) | 1 line
Changed paths:
   A /trunk/miranda/src/res/contact_rename.ico
   A /trunk/miranda/src/res/icon_typing.ico
   A /trunk/miranda/src/res/miranda_logo.ico

gave more friendly names to resource files
------------------------------------------------------------------------
r4940 | ghazan | 2007-02-21 01:24:10 +0300 (Ср, 21 фев 2007) | 1 line
Changed paths:
   A /trunk/miranda/src/res/_blank.ico (from /trunk/miranda/src/res/blank.ico:4939)
   D /trunk/miranda/src/res/addcontact.ico
   A /trunk/miranda/src/res/arrow_sort_column_down.bmp (from /trunk/miranda/src/res/sortcold.bmp:4939)
   A /trunk/miranda/src/res/arrow_sort_column_up.bmp (from /trunk/miranda/src/res/sortcolu.bmp:4939)
   D /trunk/miranda/src/res/away.ico
   D /trunk/miranda/src/res/blank.ico
   D /trunk/miranda/src/res/changefont.ico
   A /trunk/miranda/src/res/check_off.ico (from /trunk/miranda/src/res/notick.ico:4939)
   A /trunk/miranda/src/res/check_on.ico (from /trunk/miranda/src/res/notick1.ico:4939)
   A /trunk/miranda/src/res/contact_add.ico (from /trunk/miranda/src/res/addcontact.ico:4939)
   A /trunk/miranda/src/res/contact_delete.ico (from /trunk/miranda/src/res/delete.ico:4939)
   A /trunk/miranda/src/res/contact_view_details.ico (from /trunk/miranda/src/res/viewdetails.ico:4939)
   A /trunk/miranda/src/res/cursor_drag_copy.cur (from /trunk/miranda/src/res/dragcopy.cur:4939)
   A /trunk/miranda/src/res/cursor_drop_user.cur (from /trunk/miranda/src/res/dropuser.cur:4939)
   A /trunk/miranda/src/res/cursor_hyperlink.cur (from /trunk/miranda/src/res/hyperlin.cur:4939)
   D /trunk/miranda/src/res/delete.ico
   D /trunk/miranda/src/res/detailsl.ico
   D /trunk/miranda/src/res/dnd.ico
   D /trunk/miranda/src/res/downarrow.ico
   D /trunk/miranda/src/res/dragcopy.cur
   D /trunk/miranda/src/res/dropuser.cur
   D /trunk/miranda/src/res/emptyblo.ico
   D /trunk/miranda/src/res/file.ico
   D /trunk/miranda/src/res/filledbl.ico
   D /trunk/miranda/src/res/finduser.ico
   D /trunk/miranda/src/res/freechat.ico
   A /trunk/miranda/src/res/group_closed.ico (from /trunk/miranda/src/res/groupshu.ico:4939)
   A /trunk/miranda/src/res/group_opened.ico (from /trunk/miranda/src/res/groupope.ico:4939)
   D /trunk/miranda/src/res/groupope.ico
   D /trunk/miranda/src/res/groupshu.ico
   D /trunk/miranda/src/res/help.ico
   D /trunk/miranda/src/res/history.ico
   D /trunk/miranda/src/res/hyperlin.cur
   A /trunk/miranda/src/res/icon_all.ico (from /trunk/miranda/src/res/emptyblo.ico:4939)
   A /trunk/miranda/src/res/icon_auth_request.ico (from /trunk/miranda/src/res/filledbl.ico:4939)
   A /trunk/miranda/src/res/icon_changefont.ico (from /trunk/miranda/src/res/changefont.ico:4939)
   A /trunk/miranda/src/res/icon_connecting.ico (from /trunk/miranda/src/res/load.ico:4939)
   A /trunk/miranda/src/res/icon_down_arrow.ico (from /trunk/miranda/src/res/downarrow.ico:4939)
   A /trunk/miranda/src/res/icon_file.ico (from /trunk/miranda/src/res/file.ico:4939)
   A /trunk/miranda/src/res/icon_find_user.ico (from /trunk/miranda/src/res/finduser.ico:4939)
   A /trunk/miranda/src/res/icon_help.ico (from /trunk/miranda/src/res/help.ico:4939)
   A /trunk/miranda/src/res/icon_history.ico (from /trunk/miranda/src/res/history.ico:4939)
   A /trunk/miranda/src/res/icon_mail.ico (from /trunk/miranda/src/res/sendmail.ico:4939)
   A /trunk/miranda/src/res/icon_message.ico (from /trunk/miranda/src/res/message.ico:4939)
   A /trunk/miranda/src/res/icon_options.ico (from /trunk/miranda/src/res/options.ico:4939)
   A /trunk/miranda/src/res/icon_search_all.ico (from /trunk/miranda/src/res/searchal.ico:4939)
   A /trunk/miranda/src/res/icon_small_dot.ico (from /trunk/miranda/src/res/smalldot.ico:4939)
   A /trunk/miranda/src/res/icon_sms.ico (from /trunk/miranda/src/res/sms.ico:4939)
   A /trunk/miranda/src/res/icon_url.ico (from /trunk/miranda/src/res/url.ico:4939)
   D /trunk/miranda/src/res/invisible.ico
   D /trunk/miranda/src/res/load.ico
   D /trunk/miranda/src/res/message.ico
   A /trunk/miranda/src/res/miranda_home.ico (from /trunk/miranda/src/res/mirandaw.ico:4939)
   A /trunk/miranda/src/res/miranda_manager.ico (from /trunk/miranda/src/res/detailsl.ico:4939)
   D /trunk/miranda/src/res/mirandaw.ico
   D /trunk/miranda/src/res/na2.ico
   D /trunk/miranda/src/res/notick.ico
   D /trunk/miranda/src/res/notick1.ico
   D /trunk/miranda/src/res/occupied.ico
   D /trunk/miranda/src/res/offline2.ico
   D /trunk/miranda/src/res/online2.ico
   D /trunk/miranda/src/res/onthepho.ico
   D /trunk/miranda/src/res/options.ico
   D /trunk/miranda/src/res/outtolun.ico
   D /trunk/miranda/src/res/searchal.ico
   D /trunk/miranda/src/res/sendmail.ico
   D /trunk/miranda/src/res/smalldot.ico
   D /trunk/miranda/src/res/sms.ico
   D /trunk/miranda/src/res/sortcold.bmp
   D /trunk/miranda/src/res/sortcolu.bmp
   A /trunk/miranda/src/res/status_DND.ico (from /trunk/miranda/src/res/dnd.ico:4939)
   A /trunk/miranda/src/res/status_NA.ico (from /trunk/miranda/src/res/na2.ico:4939)
   A /trunk/miranda/src/res/status_away.ico (from /trunk/miranda/src/res/away.ico:4939)
   A /trunk/miranda/src/res/status_free4chat.ico (from /trunk/miranda/src/res/freechat.ico:4939)
   A /trunk/miranda/src/res/status_invisible.ico (from /trunk/miranda/src/res/invisible.ico:4939)
   A /trunk/miranda/src/res/status_occupied.ico (from /trunk/miranda/src/res/occupied.ico:4939)
   A /trunk/miranda/src/res/status_offline.ico (from /trunk/miranda/src/res/offline2.ico:4939)
   A /trunk/miranda/src/res/status_on_the_phone.ico (from /trunk/miranda/src/res/onthepho.ico:4939)
   A /trunk/miranda/src/res/status_online.ico (from /trunk/miranda/src/res/online2.ico:4939)
   A /trunk/miranda/src/res/status_out2lunch.ico (from /trunk/miranda/src/res/outtolun.ico:4939)
   A /trunk/miranda/src/res/status_user_online.ico (from /trunk/miranda/src/res/useronli.ico:4939)
   D /trunk/miranda/src/res/typing.ico
   D /trunk/miranda/src/res/url.ico
   D /trunk/miranda/src/res/useronli.ico
   D /trunk/miranda/src/res/viewdetails.ico
   M /trunk/miranda/src/resource.rc

gave more friendly names to resource files
------------------------------------------------------------------------
r4939 | ghazan | 2007-02-20 22:02:07 +0300 (Вт, 20 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.dsp
   M /trunk/miranda/protocols/JabberG/jabber.mak

fix for VC6 project files
------------------------------------------------------------------------
r4938 | ghazan | 2007-02-20 20:59:41 +0300 (Вт, 20 фев 2007) | 1 line
Changed paths:
   A /trunk/miranda/protocols/JabberG/icos/bookmarks.ico

missing file added
------------------------------------------------------------------------
r4937 | ghazan | 2007-02-20 20:40:04 +0300 (Вт, 20 фев 2007) | 2 lines
Changed paths:
   M /branches/stable/miranda/protocols/IRC/options.cpp
   M /trunk/miranda/protocols/IRC/options.cpp

fix for bug #2959: Miranda crashes when trying to set a "perform" command in IRC options tab.

------------------------------------------------------------------------
r4936 | ghazan | 2007-02-20 19:36:58 +0300 (Вт, 20 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp

fix for bug #2970: Ending spaces not stripped in Host input
------------------------------------------------------------------------
r4935 | ghazan | 2007-02-20 19:22:48 +0300 (Вт, 20 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/srmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c

more thorough fix for dropping Unicode-named file to the SRMM
------------------------------------------------------------------------
r4934 | the_leech | 2007-02-20 19:11:43 +0300 (Вт, 20 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgoptions.c

Fix for 0002986 (options applied after restart)
------------------------------------------------------------------------
r4933 | ghazan | 2007-02-20 19:05:39 +0300 (Вт, 20 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp

fixes for dead links in plugin info structures.
------------------------------------------------------------------------
r4932 | ghazan | 2007-02-20 18:49:04 +0300 (Вт, 20 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp

minor translation fix
------------------------------------------------------------------------
r4931 | ghazan | 2007-02-20 18:39:59 +0300 (Вт, 20 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_bookmarks.cpp

code cleaning
------------------------------------------------------------------------
r4930 | ghazan | 2007-02-20 18:10:15 +0300 (Вт, 20 фев 2007) | 3 lines
Changed paths:
   M /trunk/miranda/bin8/miranda32.sln
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/clist.c
   M /trunk/miranda/plugins/Scriver/chat/colorchooser.c
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/message.c
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/commonheaders.h
   M /trunk/miranda/plugins/Scriver/scriver.vcproj
   M /trunk/miranda/plugins/Scriver/scriver_8.vcproj
   M /trunk/miranda/plugins/chat/chat_8.vcproj
   M /trunk/miranda/plugins/clist/clist_8.vcproj
   M /trunk/miranda/plugins/clist_nicer/clist_nicer_8.vcproj
   M /trunk/miranda/plugins/db3x/db3x_8.vcproj
   M /trunk/miranda/plugins/db3x_mmap/db3x_mmap_8.vcproj
   M /trunk/miranda/plugins/import/import_8.vcproj
   M /trunk/miranda/plugins/modernb/clist_modern_8.vcproj
   M /trunk/miranda/plugins/mwclist/clist_mw_8.vcproj
   M /trunk/miranda/plugins/png2dib/png2dib_8.vcproj
   M /trunk/miranda/plugins/srmm/srmm_8.vcproj
   M /trunk/miranda/plugins/tabsrmm/tabsrmm_8.vcproj
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8_8.vcproj
   M /trunk/miranda/protocols/MSN/msn_8.vcproj
   M /trunk/miranda/protocols/Yahoo/Yahoo_8.vcproj
   D /trunk/miranda/src/build
   M /trunk/miranda/src/miranda32_8.vcproj
   M /trunk/miranda/src/modules/clist/protocolorder.c
   M /trunk/miranda-tools/dbtool/dbtool_8.vcproj

- fixes for VS2005 projects;
- moved Scriver to precompiled headers;
- some minor fixes for warnings 
------------------------------------------------------------------------
r4929 | ghazan | 2007-02-20 18:07:46 +0300 (Вт, 20 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_8.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   M /trunk/miranda/protocols/JabberG/jabber_bitmap.cpp
   A /trunk/miranda/protocols/JabberG/jabber_bookmarks.cpp
   M /trunk/miranda/protocols/JabberG/jabber_byte.cpp
   M /trunk/miranda/protocols/JabberG/jabber_byte.h
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_file.cpp
   M /trunk/miranda/protocols/JabberG/jabber_form.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ft.cpp
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iq.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iq.h
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid_muc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_libstr.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.h
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_password.cpp
   M /trunk/miranda/protocols/JabberG/jabber_proxy.cpp
   M /trunk/miranda/protocols/JabberG/jabber_proxy.h
   M /trunk/miranda/protocols/JabberG/jabber_search.cpp
   M /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   M /trunk/miranda/protocols/JabberG/jabber_secur.h
   M /trunk/miranda/protocols/JabberG/jabber_ssl.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ssl.h
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_userinfo.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp
   M /trunk/miranda/protocols/JabberG/jabber_vcard.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ws.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.h
   M /trunk/miranda/protocols/JabberG/jabber_xmlns.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xmlns.h
   M /trunk/miranda/protocols/JabberG/resource.h

- first version of bookmarks
- changed development date to 2007
------------------------------------------------------------------------
r4928 | jokusoftware | 2007-02-20 00:13:25 +0300 (Вт, 20 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

added detection of some mobile clients + some other updated
------------------------------------------------------------------------
r4927 | ghazan | 2007-02-19 16:33:05 +0300 (Пн, 19 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

fix for getting the default login name for Jabber
------------------------------------------------------------------------
r4926 | ghazan | 2007-02-19 01:46:02 +0300 (Пн, 19 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.15
------------------------------------------------------------------------
r4925 | ghazan | 2007-02-19 01:40:35 +0300 (Пн, 19 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/scriver.dep
   M /trunk/miranda/plugins/Scriver/scriver_8.vcproj

fix for Scriver project files
------------------------------------------------------------------------
r4924 | ghazan | 2007-02-19 00:58:55 +0300 (Пн, 19 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_list.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.h
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/version.h

- patch for sending messages to the specific contacts (by nullbie);
- version bump
------------------------------------------------------------------------
r4923 | nightwish2004 | 2007-02-19 00:05:39 +0300 (Пн, 19 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/viewmodes.c

+ fixed bug with extra icons when changing view mode
------------------------------------------------------------------------
r4922 | the_leech | 2007-02-17 20:41:32 +0300 (Сб, 17 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/utils.c

minor memory leak
------------------------------------------------------------------------
r4921 | ghazan | 2007-02-17 01:26:41 +0300 (Сб, 17 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin8/miranda32.sln
   A /trunk/miranda/plugins/Scriver/scriver.dep
   A /trunk/miranda/plugins/Scriver/scriver.mak
   M /trunk/miranda/plugins/clist_nicer/clist_nicer_8.vcproj
   M /trunk/miranda/plugins/modernb/clist_modern_8.vcproj
   M /trunk/miranda/protocols/MSN/msn_8.vcproj

fixes for some VS2005 projects
------------------------------------------------------------------------
r4920 | ghazan | 2007-02-17 00:19:28 +0300 (Сб, 17 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_search.cpp

another VC6 compatibility fix
------------------------------------------------------------------------
r4919 | ghazan | 2007-02-17 00:08:42 +0300 (Сб, 17 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_search.cpp
   M /trunk/miranda/protocols/JabberG/jabber_search.h

VC6 compatibility fix
------------------------------------------------------------------------
r4918 | ghazan | 2007-02-16 23:39:23 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/findadd/searchresults.c

fix for search list sorting
------------------------------------------------------------------------
r4917 | the_leech | 2007-02-16 23:14:54 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/utils.c
   M /trunk/miranda/plugins/Scriver/utils.h

better services/hooks management
------------------------------------------------------------------------
r4916 | ghazan | 2007-02-16 20:14:15 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

fix for keep-alive thread
------------------------------------------------------------------------
r4915 | ashpynov | 2007-02-16 18:39:12 +0300 (Пт, 16 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_search.cpp
   M /trunk/miranda/protocols/JabberG/jabber_search.h
   M /trunk/miranda/src/modules/findadd/findadd.c

- more clarify (and hope error-less) code for searching
- minor fix for user interface (custom search is default on jabber searching open
------------------------------------------------------------------------
r4914 | ghazan | 2007-02-16 17:41:10 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/miranda32.mak

small fix for Miranda project files
------------------------------------------------------------------------
r4913 | the_leech | 2007-02-16 17:39:21 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/utils.c
   M /trunk/miranda/plugins/Scriver/utils.h

proper releasing of services and hooks (modified patch by borkra)
------------------------------------------------------------------------
r4912 | ashpynov | 2007-02-16 16:52:30 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/groupmenu.c

no need to translate menu names
------------------------------------------------------------------------
r4911 | ashpynov | 2007-02-16 16:30:55 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c

no need to translate frame menu names
------------------------------------------------------------------------
r4910 | ghazan | 2007-02-16 15:58:16 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/findadd/searchresults.c

minor search optimization
------------------------------------------------------------------------
r4909 | jokusoftware | 2007-02-16 01:56:01 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_03buddy.c
   M /trunk/miranda/protocols/IcqOscarJ/i18n.c

added some extra NULL checks
------------------------------------------------------------------------
r4908 | ghazan | 2007-02-16 01:54:46 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.dsp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.mak
   M /trunk/miranda/protocols/JabberG/jabber_8.vcproj
   A /trunk/miranda/protocols/JabberG/jabber_search.cpp
   A /trunk/miranda/protocols/JabberG/jabber_search.h

fixes for project & makefiles
------------------------------------------------------------------------
r4907 | ghazan | 2007-02-16 01:05:19 +0300 (Пт, 16 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_protocols.h
   M /trunk/miranda/include/m_protosvc.h
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_iq.h
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/resource.h
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/findadd/findadd.h
   M /trunk/miranda/src/modules/findadd/searchresults.c
   M /trunk/miranda/src/modules/langpack/langpack.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

patch for dynamic search in Jabber (by FYR)
------------------------------------------------------------------------
r4906 | ashpynov | 2007-02-15 17:41:03 +0300 (Чт, 15 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.h
   M /trunk/miranda/plugins/modernb/Docking.c
   M /trunk/miranda/plugins/modernb/SkinEditor.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/cluiservices.c
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/viewmodes.c

amazing hack to avoid deadlocks in cluiframes.c (don't do it anymore)
------------------------------------------------------------------------
r4905 | ashpynov | 2007-02-15 17:26:41 +0300 (Чт, 15 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp

- Do not translate during a2t conversation
------------------------------------------------------------------------
r4904 | ghazan | 2007-02-15 01:16:36 +0300 (Чт, 15 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

- Jabber retrieves client's own vcard on first connect to a server;
- the login name is being retrieved from the domain user name, if set empty
------------------------------------------------------------------------
r4903 | the_leech | 2007-02-14 13:26:29 +0300 (Ср, 14 фев 2007) | 1 line
Changed paths:
   D /trunk/miranda/plugins/Scriver/chat/Icons/blank.ico
   D /trunk/miranda/plugins/Scriver/chat/Icons/tag1.ico
   D /trunk/miranda/plugins/Scriver/chat/Icons/tag2.ico
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/resource.h

removed unused icons
------------------------------------------------------------------------
r4902 | the_leech | 2007-02-14 13:11:39 +0300 (Ср, 14 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgtimedout.c

Changes to error notifications
------------------------------------------------------------------------
r4901 | ghazan | 2007-02-14 01:48:33 +0300 (Ср, 14 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/modules/clist/genmenuopt.c
   M /trunk/miranda/src/resource.rc

- fix for the Set/Default buttons behavior in genmenu options
- minor cosmetic changes for the dialog layout
------------------------------------------------------------------------
r4900 | jokusoftware | 2007-02-14 01:43:45 +0300 (Ср, 14 фев 2007) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/srmm/msgdialog.c
   M /trunk/miranda/plugins/srmm/msgs.h
   M /trunk/miranda/plugins/srmm/msgtimedout.c

fixed memory leak in error dialog
tweak, auto-close error (timeout) dialog when message is delivered after showing it
tweak, only give GenMenu commands from menu item - ensures dlg buttons will always work
------------------------------------------------------------------------
r4898 | ghazan | 2007-02-13 20:16:04 +0300 (Вт, 13 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   M /trunk/miranda/protocols/JabberG/jabber_byte.cpp
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_file.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ft.cpp
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid_muc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_password.cpp
   M /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ssl.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ssl.h
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp
   M /trunk/miranda/protocols/JabberG/jabber_vcard.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xmlns.cpp

removed the old good perversion with the SSL handles written by keh
------------------------------------------------------------------------
r4897 | ghazan | 2007-02-13 20:14:40 +0300 (Вт, 13 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibsecurity.c

patch for NTLM auth: the domain name should be grabbed from the incoming challenge, otherwise the login fails
------------------------------------------------------------------------
r4896 | ghazan | 2007-02-13 16:07:14 +0300 (Вт, 13 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_byte.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_opt.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_ssl.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ssl.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

fix for bug#0002776: Jabber 0.7.0.1 cannot auth via SSL with error "SSL negotiation failed"
------------------------------------------------------------------------
r4895 | the_leech | 2007-02-13 15:01:29 +0300 (Вт, 13 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/statusicon.c

fix for status bar redrawing issue on status icon change
------------------------------------------------------------------------
r4894 | ghazan | 2007-02-13 13:36:02 +0300 (Вт, 13 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

fix for the global statuses translation
------------------------------------------------------------------------
r4893 | the_leech | 2007-02-13 13:15:21 +0300 (Вт, 13 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c

Fix for Unicode status messages
------------------------------------------------------------------------
r4892 | ghazan | 2007-02-13 00:48:02 +0300 (Вт, 13 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_byte.cpp
   M /trunk/miranda/protocols/JabberG/jabber_byte.h
   M /trunk/miranda/protocols/JabberG/jabber_file.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ft.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.h

fixes for too strongly optimized places in Jabber :)
------------------------------------------------------------------------
r4891 | jokusoftware | 2007-02-12 23:08:25 +0300 (Пн, 12 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/UI/askauthentication.c
   M /trunk/miranda/protocols/IcqOscarJ/chan_02data.c
   M /trunk/miranda/protocols/IcqOscarJ/chan_04close.c
   M /trunk/miranda/protocols/IcqOscarJ/docs/IcqOscarJ-translation.txt
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/i18n.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_directmsg.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_packet.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_rates.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_rates.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.h
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c

merged changes/fixes from 0.3.9 RC1 (hopefully I did not forget a thing)
------------------------------------------------------------------------
r4890 | the_leech | 2007-02-12 15:45:51 +0300 (Пн, 12 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

resizable toolbar
------------------------------------------------------------------------
r4889 | the_leech | 2007-02-12 13:01:29 +0300 (Пн, 12 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

resizable toolbar
------------------------------------------------------------------------
r4888 | the_leech | 2007-02-12 12:34:21 +0300 (Пн, 12 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

resizable toolbar
------------------------------------------------------------------------
r4887 | the_leech | 2007-02-12 12:10:22 +0300 (Пн, 12 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

configurable toolbar height
------------------------------------------------------------------------
r4886 | ghazan | 2007-02-12 00:39:31 +0300 (Пн, 12 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/aim_7.vcproj
   M /trunk/miranda/protocols/AimOscar/aimoscar.dep
   M /trunk/miranda/protocols/AimOscar/aimoscar.dsp
   M /trunk/miranda/protocols/AimOscar/aimoscar.mak

fixes for Aim projects
------------------------------------------------------------------------
r4885 | ghazan | 2007-02-12 00:12:50 +0300 (Пн, 12 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

changes for chat invitation & invitation accept dialogs in Jabber, including multiple invites & support for long reasons (thx Victor for the source code)
------------------------------------------------------------------------
r4884 | the_leech | 2007-02-11 21:54:08 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/resource.rc

option pages using core tab support
------------------------------------------------------------------------
r4883 | jokusoftware | 2007-02-11 20:22:12 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

changed one client name (thx Angeli-Ka for information)
------------------------------------------------------------------------
r4882 | ghazan | 2007-02-11 19:31:15 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.14
------------------------------------------------------------------------
r4881 | ghazan | 2007-02-11 18:45:12 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp


------------------------------------------------------------------------
r4880 | ghazan | 2007-02-11 18:41:34 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp

a Jabber conference should have the offline status when Miranda gets the "unavailable" status for it
------------------------------------------------------------------------
r4879 | ghazan | 2007-02-11 18:28:25 +0300 (Вс, 11 фев 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp
   M /trunk/miranda/protocols/JabberG/version.h

- various enhancements of adding roster contacts;
- patch for seeing JIDs in chatrooms (by Thief);
- version bump.
------------------------------------------------------------------------
r4878 | ghazan | 2007-02-11 18:26:15 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.vcproj

project file fix for VSS info
------------------------------------------------------------------------
r4877 | nightwish2004 | 2007-02-11 16:18:57 +0300 (Вс, 11 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgs.h

+ added status bar indicators for caps/overwrite/num
+ fixed slightly wrong shift-enter behaviour in group chats
------------------------------------------------------------------------
r4876 | jokusoftware | 2007-02-11 04:56:18 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8_8.vcproj

fixed VS8 project file
------------------------------------------------------------------------
r4875 | jokusoftware | 2007-02-11 04:50:23 +0300 (Вс, 11 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_03buddy.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dep
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.mak

added detection of 1&1 PC Messenger (thx Angeli-Ka for hint)
fixed makefile (thx Ghazan for hint)
------------------------------------------------------------------------
r4874 | snaphat | 2007-02-11 03:57:33 +0300 (Вс, 11 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/avatars.cpp

-fixed a normalize_name() bug in avatar filenames
------------------------------------------------------------------------
r4873 | snaphat | 2007-02-11 02:38:21 +0300 (Вс, 11 фев 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/AimOscar/aim_7.vcproj
   M /trunk/miranda/protocols/AimOscar/avatars.cpp
   M /trunk/miranda/protocols/AimOscar/connection.cpp
   M /trunk/miranda/protocols/AimOscar/defines.h
   M /trunk/miranda/protocols/AimOscar/server.cpp

-Just a tiny bit more logging for avatars
-Avatars and mail should work on alternate ports(other than 5190)
-
------------------------------------------------------------------------
r4871 | snaphat | 2007-02-10 22:06:58 +0300 (Сб, 10 фев 2007) | 6 lines
Changed paths:
   M /trunk/miranda/protocols/AimOscar/aim.cpp
   M /trunk/miranda/protocols/AimOscar/aim.rc
   M /trunk/miranda/protocols/AimOscar/aim_8.vcproj
   A /trunk/miranda/protocols/AimOscar/avatars.cpp
   A /trunk/miranda/protocols/AimOscar/avatars.h
   A /trunk/miranda/protocols/AimOscar/away.cpp
   A /trunk/miranda/protocols/AimOscar/away.h
   M /trunk/miranda/protocols/AimOscar/client.cpp
   M /trunk/miranda/protocols/AimOscar/client.h
   M /trunk/miranda/protocols/AimOscar/connection.cpp
   M /trunk/miranda/protocols/AimOscar/connection.h
   M /trunk/miranda/protocols/AimOscar/conv.cpp
   M /trunk/miranda/protocols/AimOscar/conv.h
   M /trunk/miranda/protocols/AimOscar/defines.h
   M /trunk/miranda/protocols/AimOscar/resource.h
   M /trunk/miranda/protocols/AimOscar/server.cpp
   M /trunk/miranda/protocols/AimOscar/server.h
   M /trunk/miranda/protocols/AimOscar/services.cpp
   M /trunk/miranda/protocols/AimOscar/strl.cpp
   M /trunk/miranda/protocols/AimOscar/strl.h
   M /trunk/miranda/protocols/AimOscar/utility.cpp
   M /trunk/miranda/protocols/AimOscar/utility.h
   M /trunk/miranda/protocols/AimOscar/windows.cpp

-Avatar Additions
-Awaymsg Auto Requesting
-Modification to cookies
-Moved Auto Response flag parsing.
-Removal of complained about link stripping.
-Fixed the quote issue.
------------------------------------------------------------------------
r4870 | the_leech | 2007-02-09 23:11:19 +0300 (Пт, 09 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/resource.rc

minor option pages changes
------------------------------------------------------------------------
r4869 | ghazan | 2007-02-09 20:50:32 +0300 (Пт, 09 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_byte.cpp
   M /trunk/miranda/protocols/JabberG/jabber_byte.h
   M /trunk/miranda/protocols/JabberG/jabber_file.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ft.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iq.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp
   M /trunk/miranda/protocols/JabberG/jabber_vcard.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.h
   M /trunk/miranda/protocols/JabberG/jabber_xmlns.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

fix for one strange solution in Jabber: sometimes a packets numbers were treated as strings
------------------------------------------------------------------------
r4865 | ghazan | 2007-02-09 18:17:59 +0300 (Пт, 09 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp

fix to allow both transparent and external NTLM auth
------------------------------------------------------------------------
r4864 | ono | 2007-02-09 18:17:13 +0300 (Пт, 09 фев 2007) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/Gadu-Gadu/core.c
   M /trunk/miranda/protocols/Gadu-Gadu/docs/gg-readme.txt
   M /trunk/miranda/protocols/Gadu-Gadu/gg.c
   M /trunk/miranda/protocols/Gadu-Gadu/gg.h
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/common.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/dcc.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/events.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/http.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/libgadu-config.h
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/libgadu.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/libgadu.h
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/pubdir.c
   M /trunk/miranda/protocols/Gadu-Gadu/libgadu/pubdir50.c
   M /trunk/miranda/protocols/Gadu-Gadu/ssl.c

* Closer integration with libgadu
* libgadu updates
* libgadu customizations are now with precompiler options

------------------------------------------------------------------------
r4862 | rainwater | 2007-02-09 05:11:50 +0300 (Пт, 09 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/updatenotify/updatenotify.c

Update notifier will not notify multiple times for the same version
------------------------------------------------------------------------
r4860 | ghazan | 2007-02-09 01:15:59 +0300 (Пт, 09 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_netlib.h
   M /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   M /trunk/miranda/src/modules/netlib/netlib.h
   M /trunk/miranda/src/modules/netlib/netlibhttp.c
   M /trunk/miranda/src/modules/netlib/netlibsecurity.c

patch for passing login/password to the NTLM module, to allow Jabber users to pass NTLM auth for remote servers
------------------------------------------------------------------------
r4858 | the_leech | 2007-02-08 22:54:03 +0300 (Чт, 08 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c

added ReleaseIconSafe(),
avatar alignment changed
------------------------------------------------------------------------
r4857 | nightwish2004 | 2007-02-08 18:37:22 +0300 (Чт, 08 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c
   M /trunk/miranda/plugins/tabsrmm/m_flash.h
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msglog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ patch by BM for flash avatar support
------------------------------------------------------------------------
r4856 | ghazan | 2007-02-08 17:30:32 +0300 (Чт, 08 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/db3x/dbevents.c
   M /trunk/miranda/plugins/db3x_mmap/dbevents.c

changes in db3x merged with dbx_mmap 
------------------------------------------------------------------------
r4855 | nightwish2004 | 2007-02-08 16:45:44 +0300 (Чт, 08 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/clcopts.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/extBackg.c
   M /trunk/miranda/plugins/clist_nicer/rowheight_funcs.c

+ don't forget extra icon size when using option dialog
------------------------------------------------------------------------
r4854 | nightwish2004 | 2007-02-08 16:26:42 +0300 (Чт, 08 фев 2007) | 4 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgs.h
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c
   M /trunk/miranda/plugins/tabsrmm/tabctrl.c

+ fixed slightly wrong Shift-Enter behaviour in group chats
+ tab tooltips go away when closig a tab.
+ version bump

------------------------------------------------------------------------
r4850 | ghazan | 2007-02-07 19:02:06 +0300 (Ср, 07 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/Docs/translate-msn.txt
   M /branches/stable/miranda/protocols/MSN/msn.rc
   M /trunk/miranda/protocols/MSN/Docs/translate-msn.txt
   M /trunk/miranda/protocols/MSN/msn.rc

minor translation file change for MSN protocol
------------------------------------------------------------------------
r4847 | rainwater | 2007-02-07 16:44:56 +0300 (Ср, 07 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/db3x/dbevents.c

Last dbevent commit broke MS_DB_EVENT_GET when not requesting the pblob data.
------------------------------------------------------------------------
r4845 | gena01 | 2007-02-07 01:34:17 +0300 (Ср, 07 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c

Removing ContactPhoto/File avatar hack.
------------------------------------------------------------------------
r4844 | ghazan | 2007-02-07 01:20:24 +0300 (Ср, 07 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_iqid.cpp
   M /branches/stable/miranda/protocols/MSN/msn_useropts.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/MSN/msn_useropts.cpp

ugly hack with the ContactPhoto/File setting removed
------------------------------------------------------------------------
r4843 | ghazan | 2007-02-07 00:52:30 +0300 (Ср, 07 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/plugins/srmm/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/srmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c

fix for bug #2460: Dragging and dropping a file with non-locale characters into message window crashes Miranda IM immediately
------------------------------------------------------------------------
r4842 | jokusoftware | 2007-02-06 22:54:17 +0300 (Вт, 06 фев 2007) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/chan_05ping.c
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   D /trunk/miranda/protocols/IcqOscarJ/forkthread.c
   D /trunk/miranda/protocols/IcqOscarJ/forkthread.h
   M /trunk/miranda/protocols/IcqOscarJ/iconlib.c
   M /trunk/miranda/protocols/IcqOscarJ/iconlib.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_infoupdate.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_rates.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_xstatus.c
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar.h
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dep
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dsp
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.mak
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/IcqOscarJ/log.c
   D /trunk/miranda/protocols/IcqOscarJ/m_icq.h
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/resources.rc
   M /trunk/miranda/protocols/IcqOscarJ/utilities.c
   M /trunk/miranda/protocols/IcqOscarJ/utilities.h

removed local m_icq.h
switched to core forkthread services
removed compatibility code for icolib not present
version bump for new development cycle
------------------------------------------------------------------------
r4841 | the_leech | 2007-02-06 22:22:30 +0300 (Вт, 06 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c

Fix for 0002929 (Shift+dblclk on Unicode nickname)
------------------------------------------------------------------------
r4840 | the_leech | 2007-02-06 22:09:25 +0300 (Вт, 06 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/options.c

Fix for 0002930 (Unicode highlighted words)
------------------------------------------------------------------------
r4839 | the_leech | 2007-02-06 22:01:08 +0300 (Вт, 06 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/globals.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c

Fix for 0002932 (disappearing Typing notification icon)
------------------------------------------------------------------------
r4837 | ghazan | 2007-02-06 17:46:10 +0300 (Вт, 06 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/netlib/netliblog.c
   M /trunk/miranda/src/modules/netlib/netliblog.c

prevents Miranda from crashing when the very long chunks of data are being logged.
------------------------------------------------------------------------
r4836 | ghazan | 2007-02-06 17:43:34 +0300 (Вт, 06 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_util.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp

fix for the exception handling in Jabber
------------------------------------------------------------------------
r4835 | the_leech | 2007-02-06 12:29:31 +0300 (Вт, 06 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/Makefile
   M /trunk/miranda/plugins/Scriver/MakefileA
   M /trunk/miranda/plugins/Scriver/MakefileIcons

makefiles updated

------------------------------------------------------------------------
r4834 | ashpynov | 2007-02-06 10:44:23 +0300 (Вт, 06 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibhttp.c

issue 2778 fix - some proxy is not able to be used due to response does not contain response code description
------------------------------------------------------------------------
r4833 | jokusoftware | 2007-02-06 00:22:23 +0300 (Вт, 06 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/include/m_icolib.h
   M /trunk/miranda/src/modules/icolib/skin2icons.c

IcoLib: Added support for Unicode Default filename
IcoLib: Added services to determine if HICON is managed by IcoLib & for incrementing ref_count - for proper ref_count handling when passing HICON as parameter
------------------------------------------------------------------------
r4832 | ghazan | 2007-02-06 00:08:40 +0300 (Вт, 06 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/mwclist/clui.c
   M /trunk/miranda/src/core/miranda.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clui.c

rollback for all clist sync changes
------------------------------------------------------------------------
r4826 | ghazan | 2007-02-05 18:58:11 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/mwclist/clui.c

fix for late clist creation
------------------------------------------------------------------------
r4825 | the_leech | 2007-02-05 18:24:33 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c

URL parsing fixes
------------------------------------------------------------------------
r4824 | the_leech | 2007-02-05 17:23:57 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c

Fix for 0002916 (event filter not working)
------------------------------------------------------------------------
r4823 | the_leech | 2007-02-05 16:58:39 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c

Fix for 0002913 (logs cut off in ANSI version) as well as some code clean-up
------------------------------------------------------------------------
r4819 | ghazan | 2007-02-05 16:31:39 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/core/miranda.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clui.c

contact list launch moved after the OnModulesLoaded event processing completion
------------------------------------------------------------------------
r4817 | ghazan | 2007-02-05 16:07:01 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/protocolorder.c

added PFLAGNUM_5 analysis to the protocol order module (fixes issues with tray menu & weather/yamn plugins) - thx TioDuke for an idea
------------------------------------------------------------------------
r4816 | the_leech | 2007-02-05 13:13:50 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/commonheaders.h
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/globals.h
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/statusicon.c

GDI resource usage optimizations (patch by borkra, slightly modified)
------------------------------------------------------------------------
r4815 | ghazan | 2007-02-05 12:54:30 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/button/button.c

fix for drawing arrows on buttons
------------------------------------------------------------------------
r4814 | ghazan | 2007-02-05 02:39:29 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/skin2icons.c

compatibility patch
------------------------------------------------------------------------
r4813 | ghazan | 2007-02-05 02:07:12 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/bin/makew.bat
   M /trunk/miranda/bin/miranda32.dsw
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/scriver.dsp
   M /trunk/miranda/plugins/Scriver/scriver.dsw
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.13, minor fixes for project files
------------------------------------------------------------------------
r4812 | ghazan | 2007-02-05 00:35:14 +0300 (Пн, 05 фев 2007) | 8 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn.rc
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_menu.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_std.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_useropts.cpp

patch for MSN by borkra:
- Fixed typing notifications
- Added idle status handling/setting
- Added icons update handling
- SSL update to handle HTTP of any length (MSN 8 preparation)
- Fixed services icon not added into dll by compiler
- Fixed disconnect with very long contact list
- Fixed crash on exit (due to popups)
------------------------------------------------------------------------
r4811 | ghazan | 2007-02-05 00:19:18 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/manager.c

CHAT.dll doesn't terminate MSN chats.
------------------------------------------------------------------------
r4810 | ghazan | 2007-02-05 00:16:07 +0300 (Пн, 05 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/skinicons.c

fix for YAMN icons
------------------------------------------------------------------------
r4809 | ghazan | 2007-02-04 22:44:14 +0300 (Вс, 04 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/skin/skinicons.c

minor code changes
------------------------------------------------------------------------
r4808 | ghazan | 2007-02-04 20:44:41 +0300 (Вс, 04 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/modules/skin/skinicons.c

ReleaseIcon was slightly modified to return the different result when an icon was successfully released
------------------------------------------------------------------------
r4807 | ghazan | 2007-02-04 18:57:27 +0300 (Вс, 04 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenu.c

fix for a compiler warning
------------------------------------------------------------------------
r4806 | ghazan | 2007-02-04 18:52:40 +0300 (Вс, 04 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/database/profilemanager.c

IcoLib support should be removed for Profile Manager
------------------------------------------------------------------------
r4805 | ghazan | 2007-02-04 18:32:20 +0300 (Вс, 04 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_skin.h
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/addcontact/addcontact.c
   M /trunk/miranda/src/modules/button/button.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/genmenuopt.c
   M /trunk/miranda/src/modules/clist/protocolorder.c
   M /trunk/miranda/src/modules/database/profilemanager.c
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/help/about.c
   M /trunk/miranda/src/modules/help/help.c
   M /trunk/miranda/src/modules/history/history.c
   M /trunk/miranda/src/modules/ignore/ignore.c
   M /trunk/miranda/src/modules/options/options.c
   M /trunk/miranda/src/modules/skin/skinicons.c
   M /trunk/miranda/src/modules/srauth/authdialogs.c
   M /trunk/miranda/src/modules/srawaymsg/awaymsg.c
   M /trunk/miranda/src/modules/srawaymsg/sendmsg.c
   M /trunk/miranda/src/modules/sremail/email.c
   M /trunk/miranda/src/modules/srfile/file.h
   M /trunk/miranda/src/modules/srfile/filerecvdlg.c
   M /trunk/miranda/src/modules/srfile/filesenddlg.c
   M /trunk/miranda/src/modules/srurl/url.h
   M /trunk/miranda/src/modules/srurl/urldialogs.c
   M /trunk/miranda/src/modules/updatenotify/updatenotify.c
   M /trunk/miranda/src/modules/userinfo/contactinfo.c
   M /trunk/miranda/src/modules/userinfo/userinfo.c
   M /trunk/miranda/src/modules/visibility/visibility.c

the whole core is using IcoLib now (thx borkra for the basic patch version)
------------------------------------------------------------------------
r4803 | the_leech | 2007-02-03 16:22:58 +0300 (Сб, 03 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/srmm.c

updated copyright notes
------------------------------------------------------------------------
r4802 | the_leech | 2007-02-03 13:16:24 +0300 (Сб, 03 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.h

separate font settings for URLs
manual RTL switch
------------------------------------------------------------------------
r4801 | the_leech | 2007-02-03 13:11:29 +0300 (Сб, 03 фев 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

splitter position bug fixed (thanks to Enno Rehling)
some code clean-up
------------------------------------------------------------------------
r4800 | nightwish2004 | 2007-02-02 23:11:06 +0300 (Пт, 02 фев 2007) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.rc
   M /trunk/miranda/plugins/tabsrmm/chat/manager.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/msgoptions.c
   M /trunk/miranda/plugins/tabsrmm/tabctrl.c

+ added multiselect for group chat userlist
+ added option to disable tipper tooltips over tabs
+ fixed groupchat window close issue (patch by borkra)
------------------------------------------------------------------------
r4799 | the_leech | 2007-02-02 10:56:22 +0300 (Пт, 02 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/manager.c

GC_SESSION_TERMINATE was not fired (patch by borkra)
------------------------------------------------------------------------
r4797 | ghazan | 2007-02-02 01:47:03 +0300 (Пт, 02 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/core/commonheaders.h
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/genmenuopt.c
   M /trunk/miranda/src/modules/clist/protocolorder.c
   M /trunk/miranda/src/modules/database/profilemanager.c
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/ignore/ignore.c
   M /trunk/miranda/src/modules/skin/skinicons.c
   M /trunk/miranda/src/modules/visibility/visibility.c

minor code reorganizing & improvement
------------------------------------------------------------------------
r4796 | ghazan | 2007-02-01 19:55:52 +0300 (Чт, 01 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/srmm.c
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/srmm/srmm.c
   M /trunk/miranda/plugins/tabsrmm/srmm.c
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/src/modules/plugins/newplugins.c

Unicode plugins got the UNICODE_AWARE flag in PLUGININFO structure
------------------------------------------------------------------------
r4795 | ghazan | 2007-02-01 17:25:10 +0300 (Чт, 01 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber.vcproj

the Jabber client's version window size was increased
------------------------------------------------------------------------
r4794 | ghazan | 2007-02-01 17:15:13 +0300 (Чт, 01 фев 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenu.c

useless code removed 
------------------------------------------------------------------------
r4793 | ghazan | 2007-02-01 16:58:15 +0300 (Чт, 01 фев 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/database/profilemanager.c
   M /trunk/miranda/src/modules/database/profilemanager.c

cosmetic changes for Profile Manager dialog
------------------------------------------------------------------------
r4792 | ghazan | 2007-01-31 18:33:01 +0300 (Ср, 31 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/include/m_clist.h
   M /trunk/miranda/include/m_genmenu.h
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/groupmenu.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistmod.c

genmenu settings names aren't translated now

------------------------------------------------------------------------
r4791 | ghazan | 2007-01-31 18:29:35 +0300 (Ср, 31 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/skin2icons.c

the icolib options interface improvement not to show all section's icons for the section menu item.
------------------------------------------------------------------------
r4790 | ghazan | 2007-01-31 16:51:21 +0300 (Ср, 31 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

more secure variant of calculating version of Jabber client.
------------------------------------------------------------------------
r4789 | ghazan | 2007-01-31 14:52:28 +0300 (Ср, 31 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/globals.c

fix for "Chinese" symbols in Scriver options
------------------------------------------------------------------------
r4788 | jokusoftware | 2007-01-31 03:32:32 +0300 (Ср, 31 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/UI/userinfotab.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.h
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   D /trunk/miranda/protocols/IcqOscarJ/icqoscar8.vcproj.vspscc
   D /trunk/miranda/protocols/IcqOscarJ/icqoscar8_8.vcproj.vspscc

useless files removed
added full avatar hash handling (now finally all avatars are handled properly)
------------------------------------------------------------------------
r4787 | ghazan | 2007-01-30 02:34:12 +0300 (Вт, 30 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/scriver.vcproj
   M /trunk/miranda/plugins/chat/chat.vcproj
   M /trunk/miranda/plugins/clist/clist.vcproj
   M /trunk/miranda/plugins/clist_nicer/clist_nicer.vcproj
   M /trunk/miranda/plugins/db3x/db3x.vcproj
   M /trunk/miranda/plugins/db3x_mmap/db3x_mmap.vcproj
   M /trunk/miranda/plugins/import/import.vcproj
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/mwclist/clist_mw.vcproj
   M /trunk/miranda/plugins/png2dib/png2dib.vcproj
   M /trunk/miranda/plugins/srmm/srmm.vcproj
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.vcproj
   M /trunk/miranda/protocols/IRC/IRC.vcproj
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.vcproj
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/protocols/Yahoo/Yahoo.vcproj
   M /trunk/miranda-tools/dbtool/dbtool.vcproj

"Omit frame pointer" option was disabled in all VS2003 projects to enhance debugging
------------------------------------------------------------------------
r4786 | ghazan | 2007-01-30 02:31:34 +0300 (Вт, 30 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_genmenu.h

useless code removed
------------------------------------------------------------------------
r4785 | ghazan | 2007-01-30 02:22:00 +0300 (Вт, 30 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/aimoscar.dep
   M /trunk/miranda/protocols/AimOscar/aimoscar.mak

fix for AIM makefiles
------------------------------------------------------------------------
r4784 | ghazan | 2007-01-30 02:18:21 +0300 (Вт, 30 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/clist/genmenu.h
   M /trunk/miranda/src/modules/clist/genmenuopt.c

minor code cleaning
------------------------------------------------------------------------
r4783 | ghazan | 2007-01-30 00:57:08 +0300 (Вт, 30 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/functions.h
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/srmm.c
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.mak

tabSRMM: fix for NT4 compatibility
------------------------------------------------------------------------
r4782 | the_leech | 2007-01-29 22:31:25 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   D /trunk/miranda/plugins/Scriver/IcoLib.h

old icolib header file removed
------------------------------------------------------------------------
r4781 | the_leech | 2007-01-29 22:08:05 +0300 (Пн, 29 янв 2007) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/commonheaders.h
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/statusicon.c

file descriptions shown in logs
some GDI usage optimizations

------------------------------------------------------------------------
r4778 | rainwater | 2007-01-29 18:26:34 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/png2dib/libpng/example.c
   M /trunk/miranda/plugins/png2dib/libpng/png.c
   M /trunk/miranda/plugins/png2dib/libpng/png.h
   M /trunk/miranda/plugins/png2dib/libpng/pngconf.h
   M /trunk/miranda/plugins/png2dib/libpng/pngerror.c
   M /trunk/miranda/plugins/png2dib/libpng/pnggccrd.c
   M /trunk/miranda/plugins/png2dib/libpng/pngget.c
   M /trunk/miranda/plugins/png2dib/libpng/pngmem.c
   M /trunk/miranda/plugins/png2dib/libpng/pngpread.c
   M /trunk/miranda/plugins/png2dib/libpng/pngread.c
   M /trunk/miranda/plugins/png2dib/libpng/pngrio.c
   M /trunk/miranda/plugins/png2dib/libpng/pngrtran.c
   M /trunk/miranda/plugins/png2dib/libpng/pngrutil.c
   M /trunk/miranda/plugins/png2dib/libpng/pngset.c
   M /trunk/miranda/plugins/png2dib/libpng/pngtest.c
   M /trunk/miranda/plugins/png2dib/libpng/pngtrans.c
   M /trunk/miranda/plugins/png2dib/libpng/pngvcrd.c
   M /trunk/miranda/plugins/png2dib/libpng/pngwio.c
   M /trunk/miranda/plugins/png2dib/libpng/pngwrite.c
   M /trunk/miranda/plugins/png2dib/libpng/pngwtran.c
   M /trunk/miranda/plugins/png2dib/libpng/pngwutil.c

Updated libpng in png2dib to v1.2.15
------------------------------------------------------------------------
r4777 | ghazan | 2007-01-29 18:21:16 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.mak
   M /trunk/miranda/protocols/MSN/resource.h

fix for msn icons
------------------------------------------------------------------------
r4776 | ghazan | 2007-01-29 17:43:54 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/resource.h

fix for msn icons
------------------------------------------------------------------------
r4775 | rainwater | 2007-01-29 06:38:37 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/utils/path.c

Add support for leading '\' in path to absolute service (Unicode now supported in this patch)
------------------------------------------------------------------------
r4772 | jokusoftware | 2007-01-29 03:49:52 +0300 (Пн, 29 янв 2007) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_filerequests.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_packet.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h

OFT: fixed stupid bug preventing FT to work properly with clients supporting 64bit length
OFT: added ansi file names support (not really important)
OFT: fixed possible crash when canceling transfer (thx Ghazan for reporting)
added safety mechanism to old FT too (to prevent memory leaks, crashes)
------------------------------------------------------------------------
r4771 | ghazan | 2007-01-29 01:48:33 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_system.h

fix for a misprint in a header file (thx sje)
------------------------------------------------------------------------
r4770 | ghazan | 2007-01-29 01:08:41 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clisttray.c
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/mwclist/clc.c
   M /trunk/miranda/plugins/mwclist/clist.h
   M /trunk/miranda/plugins/mwclist/init.c

GetProtocolVisibility() moved to core
------------------------------------------------------------------------
r4769 | ghazan | 2007-01-29 01:07:33 +0300 (Пн, 29 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistcore.c
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/clist/genmenuopt.c
   M /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/resource.rc

various fixes for genmenu options
------------------------------------------------------------------------
r4767 | ghazan | 2007-01-28 23:36:52 +0300 (Вс, 28 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/png2dib/zlib/adler32.c
   M /trunk/miranda/plugins/png2dib/zlib/compress.c
   M /trunk/miranda/plugins/png2dib/zlib/crc32.c
   M /trunk/miranda/plugins/png2dib/zlib/deflate.c
   M /trunk/miranda/plugins/png2dib/zlib/deflate.h
   M /trunk/miranda/plugins/png2dib/zlib/example.c
   M /trunk/miranda/plugins/png2dib/zlib/gzio.c
   M /trunk/miranda/plugins/png2dib/zlib/infback.c
   M /trunk/miranda/plugins/png2dib/zlib/inffast.c
   M /trunk/miranda/plugins/png2dib/zlib/inflate.c
   M /trunk/miranda/plugins/png2dib/zlib/inflate.h
   M /trunk/miranda/plugins/png2dib/zlib/inftrees.c
   M /trunk/miranda/plugins/png2dib/zlib/inftrees.h
   M /trunk/miranda/plugins/png2dib/zlib/minigzip.c
   M /trunk/miranda/plugins/png2dib/zlib/trees.c
   M /trunk/miranda/plugins/png2dib/zlib/zconf.h
   M /trunk/miranda/plugins/png2dib/zlib/zconf.in.h
   M /trunk/miranda/plugins/png2dib/zlib/zlib.h
   M /trunk/miranda/plugins/png2dib/zlib/zutil.c
   M /trunk/miranda/plugins/png2dib/zlib/zutil.h

update for zlib v.1.2.3
------------------------------------------------------------------------
r4765 | ghazan | 2007-01-28 22:31:25 +0300 (Вс, 28 янв 2007) | 5 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_lists.cpp
   M /trunk/miranda/protocols/MSN/msn_menu.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

patch for MSN (by borkra):
- Fixes SB creation problems
- Tries to resolve lost message problems
- Reduces GDI usage
- Fixes bug #1864 
------------------------------------------------------------------------
r4764 | ghazan | 2007-01-28 21:00:37 +0300 (Вс, 28 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/core/commonheaders.h
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/icolib/IcoLib.c
   M /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/modules/skin/skinicons.c
   M /trunk/miranda/src/modules/srawaymsg/awaymsg.c
   M /trunk/miranda/src/modules/srawaymsg/sendmsg.c
   M /trunk/miranda/src/modules/srfile/file.c
   M /trunk/miranda/src/modules/srfile/filerecvdlg.c
   M /trunk/miranda/src/modules/srfile/filesenddlg.c
   M /trunk/miranda/src/modules/srurl/url.c
   M /trunk/miranda/src/modules/srurl/urldialogs.c
   M /trunk/miranda/src/modules/useronline/useronline.c

some minor fixes for icolib in core (thx borkra)
------------------------------------------------------------------------
r4763 | jokusoftware | 2007-01-28 17:32:53 +0300 (Вс, 28 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/cluiservices.c

fixed: do not mess Custom Status menu icons (core handles that by itself)
improved Custom Status support (get rid of hard-coded status names)
------------------------------------------------------------------------
r4762 | jokusoftware | 2007-01-28 17:11:01 +0300 (Вс, 28 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_xstatus.c

tweaked custom status setting routine to DB & API status id is always in sync with real status
fixed small menu inconsistency with Custom Status - None 
------------------------------------------------------------------------
r4761 | ghazan | 2007-01-28 16:11:53 +0300 (Вс, 28 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

patch for placing SecureIM into the Jabber MirVer
------------------------------------------------------------------------
r4760 | jokusoftware | 2007-01-28 03:29:55 +0300 (Вс, 28 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenuopt.c

fixed possible crash with NULL name
------------------------------------------------------------------------
r4759 | jokusoftware | 2007-01-28 02:06:54 +0300 (Вс, 28 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/UI/loginpassword.c

minor unicode glitch fixed
------------------------------------------------------------------------
r4758 | jokusoftware | 2007-01-28 01:56:46 +0300 (Вс, 28 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_03buddy.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/IcqOscarJ/utilities.c

improved behavior for automatic creation of DC in active mode (do not try over and over again)
------------------------------------------------------------------------
r4757 | jokusoftware | 2007-01-28 00:56:05 +0300 (Вс, 28 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_13servclist.c
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar.h

small server-side ignore list support improvement
------------------------------------------------------------------------
r4754 | rainwater | 2007-01-27 22:15:52 +0300 (Сб, 27 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/findadd/findadd.c

Find/Add error message wasn't translated
------------------------------------------------------------------------
r4753 | jokusoftware | 2007-01-27 21:31:52 +0300 (Сб, 27 янв 2007) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/IcqOscarJ/utilities.c

detection of new ICQJ s7 & sss mod
show warning when not loading due to old MIM core
fixed: MS_DB_CONTACT_DELETESETTING cannot be used for resident settings
------------------------------------------------------------------------
r4752 | rainwater | 2007-01-27 19:26:47 +0300 (Сб, 27 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/movetogroup.c

Minor text change to denote "Root Group" is not an actual group named "Root Group".
------------------------------------------------------------------------
r4751 | gena01 | 2007-01-27 01:24:42 +0300 (Сб, 27 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/main.c
   M /trunk/miranda/protocols/Yahoo/yahoo.c

Small cleanup.
------------------------------------------------------------------------
r4750 | ghazan | 2007-01-26 20:06:36 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /branches/stable/miranda/plugins/srmm/msglog.c
   M /trunk/miranda/plugins/srmm/msglog.c

fix for bug #0002241: When message box is open links or only shown in squares
------------------------------------------------------------------------
r4749 | the_leech | 2007-01-26 19:32:10 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/srmm.c

bugfix (wrong flag)
------------------------------------------------------------------------
r4748 | ghazan | 2007-01-26 17:17:48 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.12 (to allow the committed plugins to run)
------------------------------------------------------------------------
r4747 | ghazan | 2007-01-26 16:04:43 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.mak
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_8.vcproj

fix for Jabber project files
------------------------------------------------------------------------
r4746 | nightwish2004 | 2007-01-26 08:19:15 +0300 (Пт, 26 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clcopts.c
   M /trunk/miranda/plugins/clist_nicer/clistopts.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/resource.h
   M /trunk/miranda/plugins/clist_nicer/resource.rc

+ bugfix: missing cursor on dropping contacts over groups
+ continued new option pages (still wip)
------------------------------------------------------------------------
r4745 | rainwater | 2007-01-26 04:51:39 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

Fix netlib crash from last commit
------------------------------------------------------------------------
r4743 | jokusoftware | 2007-01-26 04:00:46 +0300 (Пт, 26 янв 2007) | 6 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/capabilities.c
   M /trunk/miranda/protocols/IcqOscarJ/cookies.c
   M /trunk/miranda/protocols/IcqOscarJ/cookies.h
   M /trunk/miranda/protocols/IcqOscarJ/directpackets.c
   M /trunk/miranda/protocols/IcqOscarJ/directpackets.h
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_02location.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_03buddy.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_13servclist.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_15icqserver.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_db.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_db.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_directmsg.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_filerequests.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_firstrun.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_infoupdate.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_servlist.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_uploadui.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_xstatus.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_xtraz.c
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/resources.rc
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.h

some code cleaning
message error handling improved quite a bit (now handles all reasonable situations)
added detection of Trillian Astra
parse member since TLV (stored as MemberTS)
fixed occasional losing of contact in server-list when moving to another group
fixed minor unicode glitch in FirstRun dialog
------------------------------------------------------------------------
r4742 | rainwater | 2007-01-26 03:52:13 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlib.h
   M /trunk/miranda/src/modules/netlib/netlibopenconn.c
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

Fix last commit by running upnp cleanup during first connection attempt
------------------------------------------------------------------------
r4740 | rainwater | 2007-01-26 02:33:17 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

Check to make sure there are incoming connections defined before doing upnp cleanup.  UPnP is now disabled automatically if no incoming connections are defined.
------------------------------------------------------------------------
r4737 | ghazan | 2007-01-26 00:38:36 +0300 (Пт, 26 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.dep

fix for a MSN dependency file
------------------------------------------------------------------------
r4735 | ghazan | 2007-01-25 20:33:47 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/core/modules.c

fix for a compiler warning
------------------------------------------------------------------------
r4734 | ghazan | 2007-01-25 20:28:00 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/core/modules.c

fixed old nasty bug in the core hashing function
------------------------------------------------------------------------
r4733 | ghazan | 2007-01-25 20:00:30 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/skin2icons.c

minor code cleaning
------------------------------------------------------------------------
r4732 | gena01 | 2007-01-25 19:14:43 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/main.c

More cleanup. Also now minimal required version of miranda.exe is 0.7.0.12 since we don't have our own implementation of md5/sha anymore.
------------------------------------------------------------------------
r4731 | gena01 | 2007-01-25 19:07:01 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c

Small cleanup.
------------------------------------------------------------------------
r4730 | ashpynov | 2007-01-25 16:44:23 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c
   M /trunk/miranda/plugins/modernb/modern_button.c

Skin button hints are now translatable (please use ASCII hint in your skins) and attempt to fix crash there
------------------------------------------------------------------------
r4729 | ghazan | 2007-01-25 16:10:28 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmod.c

returned back to old clist icons calculation method
------------------------------------------------------------------------
r4728 | ghazan | 2007-01-25 15:52:35 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/skin2icons.c

patch for saving/restoring the icolib tree (by std)
------------------------------------------------------------------------
r4727 | ghazan | 2007-01-25 15:52:16 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/skinicons.c

final fix for metacontacts icons
------------------------------------------------------------------------
r4726 | ghazan | 2007-01-25 15:50:49 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmod.c

returned back to old clist icons calculation method
------------------------------------------------------------------------
r4725 | ghazan | 2007-01-25 15:43:48 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/icolib.c

minor code cleaning to calculate the array size correctly
------------------------------------------------------------------------
r4724 | ashpynov | 2007-01-25 15:00:36 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

another fix of only protocol status menu/statusbar
------------------------------------------------------------------------
r4723 | nightwish2004 | 2007-01-25 10:44:57 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clcopts.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/resource.h
   M /trunk/miranda/plugins/clist_nicer/resource.rc

+ new option and display profile system started. Work in progress and currently BROKEN. use with care
------------------------------------------------------------------------
r4722 | rainwater | 2007-01-25 07:45:45 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

UPnP patch by borkra
------------------------------------------------------------------------
r4719 | rainwater | 2007-01-25 06:20:11 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_plugins.h
   M /trunk/miranda/src/core/modules.c

Added DEFMOD_UPDATENOTIFY to allow plugin to replace the update notify module
------------------------------------------------------------------------
r4717 | nightwish2004 | 2007-01-25 02:55:31 +0300 (Чт, 25 янв 2007) | 4 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgoptions.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c
   M /trunk/miranda/plugins/tabsrmm/tabctrl.c

+ version bump
+ moved main options dialog to root node of "Message Sessions"
+ added small mouse tolerance for showing tooltips on tab hovering

------------------------------------------------------------------------
r4716 | gena01 | 2007-01-25 01:18:31 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/yahoo.c

No more popups when logged off... Yay.. stupid popups die... 
------------------------------------------------------------------------
r4715 | gena01 | 2007-01-25 01:15:10 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo2_types.h

Trying to fix the stupid logout popup thingy. So the Logoff id is 1 not 2. 
------------------------------------------------------------------------
r4714 | ghazan | 2007-01-25 00:30:49 +0300 (Чт, 25 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

the only protocol still have to be shown in the statusbar
------------------------------------------------------------------------
r4713 | ghazan | 2007-01-24 21:47:30 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.mak

fixes for some project & make files
------------------------------------------------------------------------
r4712 | ghazan | 2007-01-24 21:40:12 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dsp
   M /trunk/miranda/src/miranda32.dep
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/modules/skin/skinicons.c

fixes for some project & make files
------------------------------------------------------------------------
r4711 | ashpynov | 2007-01-24 17:43:48 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modern_button.c

added IsBadStringPtrA check in order to try avoid crash (step 2)
------------------------------------------------------------------------
r4710 | ashpynov | 2007-01-24 17:37:16 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modern_button.c

added IsBadStringPtrA check in order to try avoid crash 
------------------------------------------------------------------------
r4709 | ashpynov | 2007-01-24 17:14:02 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/utils/path.c

relative to absolute path fix for relative path starded from single '\' like '\skins\data\...'
------------------------------------------------------------------------
r4708 | ashpynov | 2007-01-24 17:12:17 +0300 (Ср, 24 янв 2007) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/version.h

fix for preview image in skin options
version bump
fixed memory leak in skin option (-360 bytes)
------------------------------------------------------------------------
r4707 | ghazan | 2007-01-24 15:45:51 +0300 (Ср, 24 янв 2007) | 3 lines
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/protocolorder.c
   M /trunk/miranda/src/modules/skin/skinicons.c

- fix for Metacontacts icons (when they are hidden from the status bar);
- fix for non-standard protocols icons.
- fix for icons shift in contact list for MSN & Jabber protos (i.e. "Ready for chat" icon is being displayed instead of "DND")
------------------------------------------------------------------------
r4706 | ghazan | 2007-01-24 14:56:13 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.vcproj

fix for MSN projects
------------------------------------------------------------------------
r4705 | ghazan | 2007-01-24 14:20:52 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/miranda32_8.vcproj

fix for Miranda projects
------------------------------------------------------------------------
r4704 | nightwish2004 | 2007-01-24 11:18:36 +0300 (Ср, 24 янв 2007) | 4 lines
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/clcmsgs.c
   M /trunk/miranda/plugins/clist_nicer/clcopts.c
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c
   M /trunk/miranda/plugins/clist_nicer/clcutils.c
   M /trunk/miranda/plugins/clist_nicer/clistmenus.c
   M /trunk/miranda/plugins/clist_nicer/clistmod.c
   M /trunk/miranda/plugins/clist_nicer/clistopts.c
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/docs/CHANGELOG
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/plugins/clist_nicer/resource.h
   M /trunk/miranda/plugins/clist_nicer/resource.rc
   M /trunk/miranda/plugins/clist_nicer/statusfloater.c

+ version bump
+ reworked option pages (tabbed), work in progress
+ more per contact display settings
+ code cleanup, removed unused resource templates
------------------------------------------------------------------------
r4703 | rainwater | 2007-01-24 06:42:22 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.mak

Update MSN mak file
------------------------------------------------------------------------
r4702 | rainwater | 2007-01-24 06:40:13 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn.dsp
   M /trunk/miranda/protocols/MSN/msn_bitmap.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   D /trunk/miranda/protocols/MSN/sha1.c
   D /trunk/miranda/protocols/MSN/sha1.h

sha1 fixes for MSN
------------------------------------------------------------------------
r4701 | rainwater | 2007-01-24 06:39:57 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.dsp
   M /trunk/miranda/protocols/JabberG/jabber_bitmap.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_userinfo.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp
   D /trunk/miranda/protocols/JabberG/sha1.cpp
   D /trunk/miranda/protocols/JabberG/sha1.h

sha1 fixes for Jabber
------------------------------------------------------------------------
r4700 | rainwater | 2007-01-24 06:39:04 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h
   M /trunk/miranda/src/modules/utils/sha1.c
   M /trunk/miranda/src/modules/utils/utils.c

typedef sha1 types
------------------------------------------------------------------------
r4699 | rainwater | 2007-01-24 04:08:05 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h
   M /trunk/miranda/src/miranda32.dsp
   A /trunk/miranda/src/modules/utils/sha1.c
   M /trunk/miranda/src/modules/utils/utils.c

Added SHA-1 to the core (m_utils.h).  See MS_SYSTEM_GET_SHA1I
------------------------------------------------------------------------
r4698 | rainwater | 2007-01-24 03:44:48 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h

Minor change to md5 state struct
------------------------------------------------------------------------
r4697 | nightwish2004 | 2007-01-24 02:13:20 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/functions.h
   M /trunk/miranda/plugins/tabsrmm/msgs.h
   M /trunk/miranda/plugins/tabsrmm/tabctrl.c

+ hovering tabs will now show detailed tooltips, using mtooltip or tipper plugin (if installed)
------------------------------------------------------------------------
r4696 | gena01 | 2007-01-24 01:05:23 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c

Cleaner fix.
------------------------------------------------------------------------
r4695 | gena01 | 2007-01-24 01:03:32 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c

Zero out the structure... Thanks George.
------------------------------------------------------------------------
r4694 | rainwater | 2007-01-24 00:37:18 +0300 (Ср, 24 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h
   M /trunk/miranda/protocols/AimOscar/client.cpp
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_17signon.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dsp
   M /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/Yahoo/libyahoo2/crypt.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/src/modules/utils/md5.c
   M /trunk/miranda/src/modules/utils/utils.c

Rename md5 struct names to prevent conflicts with md5 libraries
------------------------------------------------------------------------
r4693 | ghazan | 2007-01-23 23:33:21 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/aim.cpp
   M /trunk/miranda/protocols/AimOscar/aim_7.vcproj
   M /trunk/miranda/protocols/AimOscar/aim_8.vcproj
   M /trunk/miranda/protocols/AimOscar/aimoscar.dep
   M /trunk/miranda/protocols/AimOscar/aimoscar.dsp
   M /trunk/miranda/protocols/AimOscar/aimoscar.mak
   M /trunk/miranda/protocols/AimOscar/client.cpp
   M /trunk/miranda/protocols/AimOscar/defines.h
   D /trunk/miranda/protocols/AimOscar/md5.cpp
   D /trunk/miranda/protocols/AimOscar/md5.h

md5 fixes for AIM protocol
------------------------------------------------------------------------
r4692 | ghazan | 2007-01-23 23:11:09 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.dsp
   M /trunk/miranda/protocols/JabberG/jabber.mak
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_8.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   D /trunk/miranda/protocols/JabberG/md5.h
   D /trunk/miranda/protocols/JabberG/md5c.cpp

md5 fixes for Jabber protocol
------------------------------------------------------------------------
r4691 | ghazan | 2007-01-23 23:02:13 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn.dep
   M /trunk/miranda/protocols/MSN/msn.dsp
   M /trunk/miranda/protocols/MSN/msn.mak
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/protocols/MSN/msn_8.vcproj
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   D /trunk/miranda/protocols/MSN/msn_md5.h
   D /trunk/miranda/protocols/MSN/msn_md5c.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp

md5 fixes for MSN protocol
------------------------------------------------------------------------
r4690 | ghazan | 2007-01-23 22:43:21 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8_8.vcproj

md5 fixes for ICQ protocol
------------------------------------------------------------------------
r4689 | ghazan | 2007-01-23 22:41:56 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_17signon.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar.h
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dep
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.mak
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.vcproj
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   D /trunk/miranda/protocols/IcqOscarJ/md5.c
   D /trunk/miranda/protocols/IcqOscarJ/md5.h

md5 fixes for ICQ protocol
------------------------------------------------------------------------
r4688 | gena01 | 2007-01-23 22:29:18 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Makefile.win
   M /trunk/miranda/protocols/Yahoo/yahoo.msp

Apparently we don't have md5 source files anymore. Updating the project and makefiles...
------------------------------------------------------------------------
r4687 | gena01 | 2007-01-23 22:27:45 +0300 (Вт, 23 янв 2007) | 5 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/resource.h

So according to George ALL protocol devs need to make sure they don't use resource id 105 for icons, because there's some bad karma in the core. And it's my fault.....

So repeat after me: I will not use 105 in my resources for icons...

Updating my resource ids, just in case...and for future blacklisted IDs.. 
------------------------------------------------------------------------
r4686 | gena01 | 2007-01-23 22:25:31 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h

Fixing include file, this got broken by Robert and doesn't compile for me now.
------------------------------------------------------------------------
r4685 | ghazan | 2007-01-23 22:07:32 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Yahoo.dep
   M /trunk/miranda/protocols/Yahoo/Yahoo.dsp
   M /trunk/miranda/protocols/Yahoo/Yahoo.mak
   M /trunk/miranda/protocols/Yahoo/Yahoo.vcproj
   M /trunk/miranda/protocols/Yahoo/Yahoo_8.vcproj
   M /trunk/miranda/protocols/Yahoo/libyahoo2/crypt.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   D /trunk/miranda/protocols/Yahoo/libyahoo2/md5.c
   D /trunk/miranda/protocols/Yahoo/libyahoo2/md5.h
   M /trunk/miranda/protocols/Yahoo/main.c

md5 fixes for YAHOO protocol
------------------------------------------------------------------------
r4684 | rainwater | 2007-01-23 20:56:52 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h
   M /trunk/miranda/src/miranda32.dsp
   A /trunk/miranda/src/modules/utils/md5.c
   M /trunk/miranda/src/modules/utils/utils.c

Added MD5 interface to core (m_utils.h).  See MS_SYSTEM_GET_MD5I.
------------------------------------------------------------------------
r4683 | ghazan | 2007-01-23 19:58:32 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no

fix for the build number (to comply with the latest site changes)
------------------------------------------------------------------------
r4682 | ghazan | 2007-01-23 19:55:16 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/resource.h

minor fix for the resource file
------------------------------------------------------------------------
r4681 | ghazan | 2007-01-23 16:25:42 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/skinicons.c

fix for missing MSN icons in main menu
------------------------------------------------------------------------
r4680 | ghazan | 2007-01-23 13:10:22 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenuopt.c

minor code cleaning
------------------------------------------------------------------------
r4679 | nightwish2004 | 2007-01-23 12:14:01 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/extBackg.c

+ code cleanup (various compiler warnings)
------------------------------------------------------------------------
r4678 | nightwish2004 | 2007-01-23 10:01:46 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c

+ small fix - load avatars on status change when needed
------------------------------------------------------------------------
r4677 | rainwater | 2007-01-23 06:43:35 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/updatenotify/updatenotify.c

Minor code cleanup
------------------------------------------------------------------------
r4675 | rainwater | 2007-01-23 05:38:41 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/updatenotify/updatenotify.c

Update notification now closes dialog on Miranda exit and will notify of new releases even after startup.
------------------------------------------------------------------------
r4673 | ghazan | 2007-01-23 01:27:03 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/bin/makew.bat
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/version.rc

version bump for build 0.7.0.11
------------------------------------------------------------------------
r4671 | rainwater | 2007-01-23 01:24:32 +0300 (Вт, 23 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/updatenotify/updatenotify.c

Fix cut of version in updater
------------------------------------------------------------------------
r4668 | rainwater | 2007-01-22 20:39:01 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/updatenotify/updatenotify.c

Change update check time
------------------------------------------------------------------------
r4667 | ghazan | 2007-01-22 20:32:57 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clcutils.c

"pinned mode"-safe fix for clist-through mouse clicks (by nullbie, 3rd edition)
------------------------------------------------------------------------
r4666 | ghazan | 2007-01-22 16:45:21 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/skin/skinicons.c

slightly modified support for PFLAGNUM_5
------------------------------------------------------------------------
r4665 | ghazan | 2007-01-22 15:34:02 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/genmenu.c

minor code cleaning
------------------------------------------------------------------------
r4664 | ashpynov | 2007-01-22 15:21:03 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinOpt.c

renamed skin section in options to 'Contact list skin'
------------------------------------------------------------------------
r4663 | ashpynov | 2007-01-22 14:52:32 +0300 (Пн, 22 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/skin/skinicons.c

fixed incorrect icons in status menus
fixed icons for pseudo-protocols like weather or metacontacts
------------------------------------------------------------------------
r4662 | ghazan | 2007-01-22 14:43:39 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistcore.c
   M /trunk/miranda/src/modules/clist/clistmenus.c

fix for the crash in genmenu options
------------------------------------------------------------------------
r4661 | ghazan | 2007-01-22 01:05:05 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.dep
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/miranda32_8.vcproj
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/cluiservices.c
   M /trunk/miranda/src/resource.rc
   A /trunk/miranda/src/vc6.rc
   M /trunk/miranda/src/version.rc

fixes for project & version files
------------------------------------------------------------------------
r4659 | rainwater | 2007-01-22 00:28:11 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/keyboard.c

Read Msg hotkey should not show clist if eventCount == 0
------------------------------------------------------------------------
r4657 | rainwater | 2007-01-22 00:15:09 +0300 (Пн, 22 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist/resource.rc

Minor hotkey options text change
------------------------------------------------------------------------
r4655 | ghazan | 2007-01-21 23:25:03 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_errors.cpp
   M /trunk/miranda/protocols/MSN/msn_menu.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_useropts.cpp

removed unneeded translations
------------------------------------------------------------------------
r4654 | ghazan | 2007-01-21 23:18:07 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clistmod.c
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/mwclist/clui.c
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/genmenu.c

fix for bug 0002842: Can't view the Agents in Jabber Protocol
------------------------------------------------------------------------
r4653 | the_leech | 2007-01-21 22:45:44 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Makefile
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c

RTL autodetection for incoming messages
------------------------------------------------------------------------
r4651 | rainwater | 2007-01-21 22:27:33 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/core/modules.c
   M /trunk/miranda/src/miranda32.dsp
   A /trunk/miranda/src/modules/updatenotify
   A /trunk/miranda/src/modules/updatenotify/updatenotify.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

Added update notification module
------------------------------------------------------------------------
r4650 | ghazan | 2007-01-21 21:36:18 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c


------------------------------------------------------------------------
r4649 | ghazan | 2007-01-21 21:31:13 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

forgotten one 'break' operator
------------------------------------------------------------------------
r4648 | ghazan | 2007-01-21 21:25:19 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_skin.h
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/skin/skinicons.c

PFLAGNUM_5 support restored for menus
------------------------------------------------------------------------
r4647 | ghazan | 2007-01-21 20:27:27 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/include/m_genmenu.h
   M /trunk/miranda/include/m_skin.h
   M /trunk/miranda/plugins/modernb/Docking.c
   M /trunk/miranda/plugins/modernb/clist.h
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/modernb.mak
   M /trunk/miranda/src/modules/clist/Docking.c
   M /trunk/miranda/src/modules/clist/clc.h
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/genmenu.c
   M /trunk/miranda/src/modules/clist/movetogroup.c
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/help/help.c
   M /trunk/miranda/src/modules/history/history.c
   M /trunk/miranda/src/modules/options/options.c
   M /trunk/miranda/src/modules/srawaymsg/awaymsg.c
   M /trunk/miranda/src/modules/sremail/email.c
   M /trunk/miranda/src/modules/srfile/file.c
   M /trunk/miranda/src/modules/srurl/url.c
   M /trunk/miranda/src/modules/userinfo/userinfo.c

fixed translation in menus, also fixed it in the core
------------------------------------------------------------------------
r4646 | ghazan | 2007-01-21 19:20:18 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/skinicons.c
   A /trunk/miranda/src/res/load.ico
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

fix for empty status bar icons in clist_classic for protocols being been connecting
------------------------------------------------------------------------
r4645 | ghazan | 2007-01-21 19:18:38 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c
   M /trunk/miranda/src/modules/clist/genmenu.c

fix for random crashes on startup
------------------------------------------------------------------------
r4644 | ghazan | 2007-01-21 14:04:58 +0300 (Вс, 21 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

fix for issues with the custom status menu when the only protocol is available
------------------------------------------------------------------------
r4643 | nightwish2004 | 2007-01-20 07:04:05 +0300 (Сб, 20 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c
   M /trunk/miranda/plugins/clist_nicer/clistmenus.c

+ the textcolor for selected and hottracked skin items is no longer ignored.

------------------------------------------------------------------------
r4642 | nightwish2004 | 2007-01-19 22:29:23 +0300 (Пт, 19 янв 2007) | 5 lines
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/movetogroup.c
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/clc.h
   M /trunk/miranda/plugins/clist_nicer/clcitems.c
   M /trunk/miranda/plugins/clist_nicer/clcmsgs.c
   M /trunk/miranda/plugins/clist_nicer/clcopts.c
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c
   M /trunk/miranda/plugins/clist_nicer/clist.dsp
   M /trunk/miranda/plugins/clist_nicer/clistmenus.c
   M /trunk/miranda/plugins/clist_nicer/clistopts.c
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/cluiopts.c
   M /trunk/miranda/plugins/clist_nicer/coolsb/coolscroll.c
   M /trunk/miranda/plugins/clist_nicer/docs/CHANGELOG
   M /trunk/miranda/plugins/clist_nicer/extBackg.c
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/plugins/clist_nicer/resource.h
   M /trunk/miranda/plugins/clist_nicer/resource.rc
   M /trunk/miranda/plugins/clist_nicer/rowheight_funcs.c
   M /trunk/miranda/plugins/clist_nicer/skineditor/skinedit.vcproj
   M /trunk/miranda/plugins/clist_nicer/statusfloater.c
   M /trunk/miranda/plugins/clist_nicer/viewmodes.c

+ version bump
+ changes to "visibility and ignore" - now allows more per contact settings.
+ option restore last active view mode 
+ removed old icon code. IcoLib API now required
+ removed old font configuration page - font service now required (as it is integrated in the core)
------------------------------------------------------------------------
r4641 | ghazan | 2007-01-19 18:09:13 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/skinicons.c

more effective fix for built-in icons
------------------------------------------------------------------------
r4640 | ashpynov | 2007-01-19 17:33:23 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/skin/skinicons.c

minor type conversion warning cleanup
------------------------------------------------------------------------
r4639 | ashpynov | 2007-01-19 17:26:35 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/modules/skin/skinicons.c

embedded icolib module and protocol icon skinning were fixed in order to keep native behavior to pseudo-protocols like weather or metacontacts
------------------------------------------------------------------------
r4633 | rainwater | 2007-01-19 16:44:04 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/server.cpp

Auto responses were not tagged correctly
------------------------------------------------------------------------
r4632 | ashpynov | 2007-01-19 12:25:09 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c

minor extraimage fix
------------------------------------------------------------------------
r4631 | ashpynov | 2007-01-19 10:35:51 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/resource.rc

minor English language fix
------------------------------------------------------------------------
r4630 | ashpynov | 2007-01-19 10:31:20 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/protocolorder.c

Protocol Order pages fix: Minor memory leak and ability do drag item to first position
------------------------------------------------------------------------
r4629 | ashpynov | 2007-01-19 09:47:35 +0300 (Пт, 19 янв 2007) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/clist/clistmenus.c

one more fix for protocol menu (clist_nicer show full status menu if Jabber protocol have been locked/unlocked)
------------------------------------------------------------------------
r4628 | nightwish2004 | 2007-01-19 08:23:54 +0300 (Пт, 19 янв 2007) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/options.c
   M /trunk/miranda/plugins/tabsrmm/docs/changelog.txt
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c
   M /trunk/miranda/plugins/tabsrmm/templates.c

+ fixed template editor bug (own nickname not showing)
+ removed old icon loading code - IcoLib API now required
------------------------------------------------------------------------
